# rtsp media

a GstRTSPMedia contains the complete GStreamer pipeline to manage the streaming to the clients. The actual data transfer is done by the GstRTSPStream objects that are created and exposed by the GstRTSPMedia.

The GstRTSPMedia is usually created from a GstRTSPMediaFactory when the client does a DESCRIBE or SETUP of a resource.

A media is created with gst_rtsp_media_new that takes the element that will provide the streaming elements. For each of the streams, a new GstRTSPStream object needs to be made with the gst_rtsp_media_create_stream which takes the payloader element and the source pad that produces the RTP stream.

The pipeline of the media is set to PAUSED with gst_rtsp_media_prepare. The prepare method will add rtpbin and sinks and sources to send and receive RTP and RTCP packets from the clients. Each stream srcpad is connected to an input into the internal rtpbin.

It is also possible to dynamically create GstRTSPStream objects during the prepare phase. With gst_rtsp_media_get_status you can check the status of the prepare phase.

After the media is prepared, it is ready for streaming. It will usually be managed in a session with gst_rtsp_session_manage_media. See GstRTSPSession and GstRTSPSessionMedia.

The state of the media can be controlled with gst_rtsp_media_set_state (). Seeking can be done with gst_rtsp_media_seek, or gst_rtsp_media_seek_full or gst_rtsp_media_seek_trickmode for finer control of the seek.

With gst_rtsp_media_unprepare the pipeline is stopped and shut down. When gst_rtsp_media_set_eos_shutdown an EOS will be sent to the pipeline to cleanly shut down.

With gst_rtsp_media_set_shared, the media can be shared between multiple clients. With gst_rtsp_media_set_reusable you can control if the pipeline can be prepared again after an unprepare.

Last reviewed on 2013-07-11 (1.0.0)

## GstRTSPMedia

    GObject
        ╰──GstRTSPMedia
            ╰──GstRTSPOnvifMedia

A class that contains the GStreamer element along with a list of GstRTSPStream objects that can produce data.

This object is usually created from a GstRTSPMediaFactory.

### Members

`parent` (GObject) –
No description available

### Class structure

#### GstRTSPMediaClass

The RTSP media class

##### Fields

`parent_class` (GObjectClass) –
No description available

### GstRtspServer.RTSPMediaClass

The RTSP media class

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

### GstRtspServer.RTSPMediaClass

The RTSP media class

##### Attributes

`parent_class` (GObject.ObjectClass) –
No description available

## GstRtspServer.RTSPMedia

    GObject.Object
        ╰──GstRtspServer.RTSPMedia
            ╰──GstRtspServer.RTSPOnvifMedia

A class that contains the GStreamer element along with a list of GstRtspServer.RTSPStream objects that can produce data.

This object is usually created from a GstRtspServer.RTSPMediaFactory.

### Members

`parent` (GObject.Object) –
No description available

## GstRtspServer.RTSPMedia

    GObject.Object
        ╰──GstRtspServer.RTSPMedia
            ╰──GstRtspServer.RTSPOnvifMedia

A class that contains the GStreamer element along with a list of GstRtspServer.RTSPStream objects that can produce data.

This object is usually created from a GstRtspServer.RTSPMediaFactory.

### Members

`parent` (GObject.Object) –
No description available

### Constructors

#### gst_rtsp_media_new

    GstRTSPMedia *
    gst_rtsp_media_new (GstElement * element)

Create a new GstRTSPMedia instance. element is the bin element that provides the different streams. The GstRTSPMedia object contains the element to produce RTP data for one or more related (audio/video/..) streams.

Ownership is taken of element.

Parameters:

`element` ( [transfer: full]) –

a GstElement

Returns ( [transfer: full]) –

a new GstRTSPMedia object.

#### GstRtspServer.RTSPMedia.prototype.new

    function GstRtspServer.RTSPMedia.prototype.new(element: Gst.Element): {
        // javascript wrapper for 'gst_rtsp_media_new'
    }

Create a new GstRtspServer.RTSPMedia instance. element is the bin element that provides the different streams. The GstRtspServer.RTSPMedia object contains the element to produce RTP data for one or more related (audio/video/..) streams.

Ownership is taken of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

Returns (GstRtspServer.RTSPMedia) –

a new GstRtspServer.RTSPMedia object.

#### GstRtspServer.RTSPMedia.new

    def GstRtspServer.RTSPMedia.new (element):
        #python wrapper for 'gst_rtsp_media_new'

Create a new GstRtspServer.RTSPMedia instance. element is the bin element that provides the different streams. The GstRtspServer.RTSPMedia object contains the element to produce RTP data for one or more related (audio/video/..) streams.

Ownership is taken of element.

Parameters:

`element` (Gst.Element) –

a Gst.Element

Returns (GstRtspServer.RTSPMedia) –

a new GstRtspServer.RTSPMedia object.

### Methods

#### gst_rtsp_media_can_be_shared

    gboolean
    gst_rtsp_media_can_be_shared (GstRTSPMedia * media)

Check if the pipeline for media can be shared between multiple clients.

This checks if the media is shareable and whether it is either reusable or was never unprepared before.

The function must be called with gst_rtsp_media_lock.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if the media can be shared between clients.

Since : 1.24

#### GstRtspServer.RTSPMedia.prototype.can_be_shared

    function GstRtspServer.RTSPMedia.prototype.can_be_shared(): {
        // javascript wrapper for 'gst_rtsp_media_can_be_shared'
    }

Check if the pipeline for media can be shared between multiple clients.

This checks if the media is shareable and whether it is either reusable or was never unprepared before.

The function must be called with GstRtspServer.RTSPMedia.prototype.lock.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if the media can be shared between clients.

Since : 1.24

#### GstRtspServer.RTSPMedia.can_be_shared

    def GstRtspServer.RTSPMedia.can_be_shared (self):
        #python wrapper for 'gst_rtsp_media_can_be_shared'

Check if the pipeline for media can be shared between multiple clients.

This checks if the media is shareable and whether it is either reusable or was never unprepared before.

The function must be called with GstRtspServer.RTSPMedia.lock.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if the media can be shared between clients.

Since : 1.24

#### gst_rtsp_media_collect_streams

    gst_rtsp_media_collect_streams (GstRTSPMedia * media)

Find all payloader elements, they should be named pay%d in the element of media, and create GstRTSPStream for them.

Collect all dynamic elements, named dynpay%d, and add them to the list of dynamic elements.

Find all depayloader elements, they should be named depay%d in the element of media, and create GstRTSPStream for them.

Parameters:

`media` –

a GstRTSPMedia

#### GstRtspServer.RTSPMedia.prototype.collect_streams

    function GstRtspServer.RTSPMedia.prototype.collect_streams(): {
        // javascript wrapper for 'gst_rtsp_media_collect_streams'
    }

Find all payloader elements, they should be named pay%d in the element of media, and create GstRtspServer.RTSPStream for them.

Collect all dynamic elements, named dynpay%d, and add them to the list of dynamic elements.

Find all depayloader elements, they should be named depay%d in the element of media, and create GstRtspServer.RTSPStream for them.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

#### GstRtspServer.RTSPMedia.collect_streams

    def GstRtspServer.RTSPMedia.collect_streams (self):
        #python wrapper for 'gst_rtsp_media_collect_streams'

Find all payloader elements, they should be named pay%d in the element of media, and create GstRtspServer.RTSPStream for them.

Collect all dynamic elements, named dynpay%d, and add them to the list of dynamic elements.

Find all depayloader elements, they should be named depay%d in the element of media, and create GstRtspServer.RTSPStream for them.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

#### gst_rtsp_media_complete_pipeline

    gboolean
    gst_rtsp_media_complete_pipeline (GstRTSPMedia * media,
                                      GPtrArray * transports)

Add a receiver and sender parts to the pipeline based on the transport from SETUP.

Parameters:

`media` –

a GstRTSPMedia

`transports` ( [element-type GstRTSPTransport]) –

a list of GstRTSPTransport

Returns –

TRUE if the media pipeline has been sucessfully updated.

Since : 1.14

#### GstRtspServer.RTSPMedia.prototype.complete_pipeline

    function GstRtspServer.RTSPMedia.prototype.complete_pipeline(transports: [ GstRtsp.RTSPTransport ]): {
        // javascript wrapper for 'gst_rtsp_media_complete_pipeline'
    }

Add a receiver and sender parts to the pipeline based on the transport from SETUP.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`transports` ([ GstRtsp.RTSPTransport ]) –

a list of GstRtsp.RTSPTransport

Returns (Number) –

true if the media pipeline has been sucessfully updated.

Since : 1.14

#### GstRtspServer.RTSPMedia.complete_pipeline

    def GstRtspServer.RTSPMedia.complete_pipeline (self, transports):
        #python wrapper for 'gst_rtsp_media_complete_pipeline'

Add a receiver and sender parts to the pipeline based on the transport from SETUP.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`transports` ([ GstRtsp.RTSPTransport ]) –

a list of GstRtsp.RTSPTransport

Returns (bool) –

True if the media pipeline has been sucessfully updated.

Since : 1.14

#### gst_rtsp_media_create_stream

    GstRTSPStream *
    gst_rtsp_media_create_stream (GstRTSPMedia * media,
                                  GstElement * payloader,
                                  GstPad * pad)

Create a new stream in media that provides RTP data on pad. pad should be a pad of an element inside media->element.

Parameters:

`media` –

a GstRTSPMedia

`payloader` –

a GstElement

`pad` –

a GstPad

Returns ( [transfer: none]) –

a new GstRTSPStream that remains valid for as long as media exists.

#### GstRtspServer.RTSPMedia.prototype.create_stream

    function GstRtspServer.RTSPMedia.prototype.create_stream(payloader: Gst.Element, pad: Gst.Pad): {
        // javascript wrapper for 'gst_rtsp_media_create_stream'
    }

Create a new stream in media that provides RTP data on pad. pad should be a pad of an element inside media->element.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`payloader` (Gst.Element) –

a Gst.Element

`pad` (Gst.Pad) –

a Gst.Pad

Returns (GstRtspServer.RTSPStream) –

a new GstRtspServer.RTSPStream that remains valid for as long as media exists.

#### GstRtspServer.RTSPMedia.create_stream

    def GstRtspServer.RTSPMedia.create_stream (self, payloader, pad):
        #python wrapper for 'gst_rtsp_media_create_stream'

Create a new stream in media that provides RTP data on pad. pad should be a pad of an element inside media->element.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`payloader` (Gst.Element) –

a Gst.Element

`pad` (Gst.Pad) –

a Gst.Pad

Returns (GstRtspServer.RTSPStream) –

a new GstRtspServer.RTSPStream that remains valid for as long as media exists.

#### gst_rtsp_media_find_stream

    GstRTSPStream *
    gst_rtsp_media_find_stream (GstRTSPMedia * media,
                                const gchar * control)

Find a stream in media with control as the control uri.

Parameters:

`media` –

a GstRTSPMedia

`control` –

the control of the stream

Returns ( [nullable][transfer: none]) –

the GstRTSPStream with control uri control or NULL when a stream with that control did not exist.

#### GstRtspServer.RTSPMedia.prototype.find_stream

    function GstRtspServer.RTSPMedia.prototype.find_stream(control: String): {
        // javascript wrapper for 'gst_rtsp_media_find_stream'
    }

Find a stream in media with control as the control uri.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`control` (String) –

the control of the stream

Returns (GstRtspServer.RTSPStream) –

the GstRtspServer.RTSPStream with control uri control or null when a stream with that control did not exist.

#### GstRtspServer.RTSPMedia.find_stream

    def GstRtspServer.RTSPMedia.find_stream (self, control):
        #python wrapper for 'gst_rtsp_media_find_stream'

Find a stream in media with control as the control uri.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`control` (str) –

the control of the stream

Returns (GstRtspServer.RTSPStream) –

the GstRtspServer.RTSPStream with control uri control or None when a stream with that control did not exist.

#### gst_rtsp_media_get_address_pool

    GstRTSPAddressPool *
    gst_rtsp_media_get_address_pool (GstRTSPMedia * media)

Get the GstRTSPAddressPool used as the address pool of media.

Parameters:

`media` –

a GstRTSPMedia

Returns ( [transfer: full][nullable]) –

the GstRTSPAddressPool of media. g_object_unref after usage.

#### GstRtspServer.RTSPMedia.prototype.get_address_pool

    function GstRtspServer.RTSPMedia.prototype.get_address_pool(): {
        // javascript wrapper for 'gst_rtsp_media_get_address_pool'
    }

Get the GstRtspServer.RTSPAddressPool used as the address pool of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of media. GObject.Object.prototype.unref after usage.

#### GstRtspServer.RTSPMedia.get_address_pool

    def GstRtspServer.RTSPMedia.get_address_pool (self):
        #python wrapper for 'gst_rtsp_media_get_address_pool'

Get the GstRtspServer.RTSPAddressPool used as the address pool of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPAddressPool) –

the GstRtspServer.RTSPAddressPool of media. GObject.Object.unref after usage.

#### gst_rtsp_media_get_base_time

    GstClockTime
    gst_rtsp_media_get_base_time (GstRTSPMedia * media)

Get the base_time that is used by the pipeline in media.

media must be prepared before this method returns a valid base_time.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the base_time used by media.

#### GstRtspServer.RTSPMedia.prototype.get_base_time

    function GstRtspServer.RTSPMedia.prototype.get_base_time(): {
        // javascript wrapper for 'gst_rtsp_media_get_base_time'
    }

Get the base_time that is used by the pipeline in media.

media must be prepared before this method returns a valid base_time.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the base_time used by media.

#### GstRtspServer.RTSPMedia.get_base_time

    def GstRtspServer.RTSPMedia.get_base_time (self):
        #python wrapper for 'gst_rtsp_media_get_base_time'

Get the base_time that is used by the pipeline in media.

media must be prepared before this method returns a valid base_time.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

the base_time used by media.

#### gst_rtsp_media_get_buffer_size

    guint
    gst_rtsp_media_get_buffer_size (GstRTSPMedia * media)

Get the kernel UDP buffer size.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the kernel UDP buffer size.

#### GstRtspServer.RTSPMedia.prototype.get_buffer_size

    function GstRtspServer.RTSPMedia.prototype.get_buffer_size(): {
        // javascript wrapper for 'gst_rtsp_media_get_buffer_size'
    }

Get the kernel UDP buffer size.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the kernel UDP buffer size.

#### GstRtspServer.RTSPMedia.get_buffer_size

    def GstRtspServer.RTSPMedia.get_buffer_size (self):
        #python wrapper for 'gst_rtsp_media_get_buffer_size'

Get the kernel UDP buffer size.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

the kernel UDP buffer size.

#### gst_rtsp_media_get_clock

    GstClock *
    gst_rtsp_media_get_clock (GstRTSPMedia * media)

Get the clock that is used by the pipeline in media.

media must be prepared before this method returns a valid clock object.

Parameters:

`media` –

a GstRTSPMedia

Returns ( [transfer: full][nullable]) –

the GstClock used by media. unref after usage.

#### GstRtspServer.RTSPMedia.prototype.get_clock

    function GstRtspServer.RTSPMedia.prototype.get_clock(): {
        // javascript wrapper for 'gst_rtsp_media_get_clock'
    }

Get the clock that is used by the pipeline in media.

media must be prepared before this method returns a valid clock object.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Gst.Clock) –

the Gst.Clock used by media. unref after usage.

#### GstRtspServer.RTSPMedia.get_clock

    def GstRtspServer.RTSPMedia.get_clock (self):
        #python wrapper for 'gst_rtsp_media_get_clock'

Get the clock that is used by the pipeline in media.

media must be prepared before this method returns a valid clock object.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Gst.Clock) –

the Gst.Clock used by media. unref after usage.

#### gst_rtsp_media_get_do_retransmission

    gboolean
    gst_rtsp_media_get_do_retransmission (GstRTSPMedia * media)

Parameters:

`media` –
No description available
Returns –

Whether retransmission requests will be sent

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.get_do_retransmission

    function GstRtspServer.RTSPMedia.prototype.get_do_retransmission(): {
        // javascript wrapper for 'gst_rtsp_media_get_do_retransmission'
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –

Whether retransmission requests will be sent

Since : 1.16

#### GstRtspServer.RTSPMedia.get_do_retransmission

    def GstRtspServer.RTSPMedia.get_do_retransmission (self):
        #python wrapper for 'gst_rtsp_media_get_do_retransmission'

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –

Whether retransmission requests will be sent

Since : 1.16

#### gst_rtsp_media_get_dscp_qos

    gint
    gst_rtsp_media_get_dscp_qos (GstRTSPMedia * media)

Get the configured DSCP QoS of attached media.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the DSCP QoS value of attached streams or -1 if disabled.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.get_dscp_qos

    function GstRtspServer.RTSPMedia.prototype.get_dscp_qos(): {
        // javascript wrapper for 'gst_rtsp_media_get_dscp_qos'
    }

Get the configured DSCP QoS of attached media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the DSCP QoS value of attached streams or -1 if disabled.

Since : 1.18

#### GstRtspServer.RTSPMedia.get_dscp_qos

    def GstRtspServer.RTSPMedia.get_dscp_qos (self):
        #python wrapper for 'gst_rtsp_media_get_dscp_qos'

Get the configured DSCP QoS of attached media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

the DSCP QoS value of attached streams or -1 if disabled.

Since : 1.18

#### gst_rtsp_media_get_element

    GstElement *
    gst_rtsp_media_get_element (GstRTSPMedia * media)

Get the element that was used when constructing media.

Parameters:

`media` –

a GstRTSPMedia

Returns ( [transfer: full]) –

a GstElement. Unref after usage.

#### GstRtspServer.RTSPMedia.prototype.get_element

    function GstRtspServer.RTSPMedia.prototype.get_element(): {
        // javascript wrapper for 'gst_rtsp_media_get_element'
    }

Get the element that was used when constructing media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Gst.Element) –

a Gst.Element. Unref after usage.

#### GstRtspServer.RTSPMedia.get_element

    def GstRtspServer.RTSPMedia.get_element (self):
        #python wrapper for 'gst_rtsp_media_get_element'

Get the element that was used when constructing media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Gst.Element) –

a Gst.Element. Unref after usage.

#### gst_rtsp_media_get_ensure_keyunit_on_start

    gboolean
    gst_rtsp_media_get_ensure_keyunit_on_start (GstRTSPMedia * media)

Get ensure-keyunit-on-start flag.

Parameters:

`media` –

a GstRTSPMedia

Returns –

The ensure-keyunit-on-start flag.

Since : 1.24

#### GstRtspServer.RTSPMedia.prototype.get_ensure_keyunit_on_start

    function GstRtspServer.RTSPMedia.prototype.get_ensure_keyunit_on_start(): {
        // javascript wrapper for 'gst_rtsp_media_get_ensure_keyunit_on_start'
    }

Get ensure-keyunit-on-start flag.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

The ensure-keyunit-on-start flag.

Since : 1.24

#### GstRtspServer.RTSPMedia.get_ensure_keyunit_on_start

    def GstRtspServer.RTSPMedia.get_ensure_keyunit_on_start (self):
        #python wrapper for 'gst_rtsp_media_get_ensure_keyunit_on_start'

Get ensure-keyunit-on-start flag.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

The ensure-keyunit-on-start flag.

Since : 1.24

#### gst_rtsp_media_get_ensure_keyunit_on_start_timeout

    guint
    gst_rtsp_media_get_ensure_keyunit_on_start_timeout (GstRTSPMedia * media)

Get ensure-keyunit-on-start-timeout time.

Parameters:

`media` –

a GstRTSPMedia

Returns –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### GstRtspServer.RTSPMedia.prototype.get_ensure_keyunit_on_start_timeout

    function GstRtspServer.RTSPMedia.prototype.get_ensure_keyunit_on_start_timeout(): {
        // javascript wrapper for 'gst_rtsp_media_get_ensure_keyunit_on_start_timeout'
    }

Get ensure-keyunit-on-start-timeout time.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### GstRtspServer.RTSPMedia.get_ensure_keyunit_on_start_timeout

    def GstRtspServer.RTSPMedia.get_ensure_keyunit_on_start_timeout (self):
        #python wrapper for 'gst_rtsp_media_get_ensure_keyunit_on_start_timeout'

Get ensure-keyunit-on-start-timeout time.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

The ensure-keyunit-on-start-timeout time.

Since : 1.24

#### gst_rtsp_media_get_latency

    guint
    gst_rtsp_media_get_latency (GstRTSPMedia * media)

Get the latency that is used for receiving media.

Parameters:

`media` –

a GstRTSPMedia

Returns –

latency in milliseconds

#### GstRtspServer.RTSPMedia.prototype.get_latency

    function GstRtspServer.RTSPMedia.prototype.get_latency(): {
        // javascript wrapper for 'gst_rtsp_media_get_latency'
    }

Get the latency that is used for receiving media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

latency in milliseconds

#### GstRtspServer.RTSPMedia.get_latency

    def GstRtspServer.RTSPMedia.get_latency (self):
        #python wrapper for 'gst_rtsp_media_get_latency'

Get the latency that is used for receiving media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

latency in milliseconds

#### gst_rtsp_media_get_max_mcast_ttl

    guint
    gst_rtsp_media_get_max_mcast_ttl (GstRTSPMedia * media)

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.get_max_mcast_ttl

    function GstRtspServer.RTSPMedia.prototype.get_max_mcast_ttl(): {
        // javascript wrapper for 'gst_rtsp_media_get_max_mcast_ttl'
    }

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### GstRtspServer.RTSPMedia.get_max_mcast_ttl

    def GstRtspServer.RTSPMedia.get_max_mcast_ttl (self):
        #python wrapper for 'gst_rtsp_media_get_max_mcast_ttl'

Get the the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

the maximum time-to-live value of outgoing multicast packets.

Since : 1.16

#### gst_rtsp_media_get_multicast_iface

    gchar *
    gst_rtsp_media_get_multicast_iface (GstRTSPMedia * media)

Get the multicast interface used for media.

Parameters:

`media` –

a GstRTSPMedia

Returns ( [transfer: full][nullable]) –

the multicast interface for media. g_free after usage.

#### GstRtspServer.RTSPMedia.prototype.get_multicast_iface

    function GstRtspServer.RTSPMedia.prototype.get_multicast_iface(): {
        // javascript wrapper for 'gst_rtsp_media_get_multicast_iface'
    }

Get the multicast interface used for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (String) –

the multicast interface for media. GLib.prototype.free after usage.

#### GstRtspServer.RTSPMedia.get_multicast_iface

    def GstRtspServer.RTSPMedia.get_multicast_iface (self):
        #python wrapper for 'gst_rtsp_media_get_multicast_iface'

Get the multicast interface used for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (str) –

the multicast interface for media. GLib.free after usage.

#### gst_rtsp_media_get_permissions

    GstRTSPPermissions *
    gst_rtsp_media_get_permissions (GstRTSPMedia * media)

Get the permissions object from media.

Parameters:

`media` –

a GstRTSPMedia

Returns ( [transfer: full][nullable]) –

a GstRTSPPermissions object, unref after usage.

#### GstRtspServer.RTSPMedia.prototype.get_permissions

    function GstRtspServer.RTSPMedia.prototype.get_permissions(): {
        // javascript wrapper for 'gst_rtsp_media_get_permissions'
    }

Get the permissions object from media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions object, unref after usage.

#### GstRtspServer.RTSPMedia.get_permissions

    def GstRtspServer.RTSPMedia.get_permissions (self):
        #python wrapper for 'gst_rtsp_media_get_permissions'

Get the permissions object from media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions object, unref after usage.

#### gst_rtsp_media_get_profiles

    GstRTSPProfile
    gst_rtsp_media_get_profiles (GstRTSPMedia * media)

Get the allowed profiles of media.

Parameters:

`media` –

a GstRTSPMedia

Returns –

a GstRTSPProfile

#### GstRtspServer.RTSPMedia.prototype.get_profiles

    function GstRtspServer.RTSPMedia.prototype.get_profiles(): {
        // javascript wrapper for 'gst_rtsp_media_get_profiles'
    }

Get the allowed profiles of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### GstRtspServer.RTSPMedia.get_profiles

    def GstRtspServer.RTSPMedia.get_profiles (self):
        #python wrapper for 'gst_rtsp_media_get_profiles'

Get the allowed profiles of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtsp.RTSPProfile) –

a GstRtsp.RTSPProfile

#### gst_rtsp_media_get_protocols

    GstRTSPLowerTrans
    gst_rtsp_media_get_protocols (GstRTSPMedia * media)

Get the allowed protocols of media.

Parameters:

`media` –

a GstRTSPMedia

Returns –

a GstRTSPLowerTrans

#### GstRtspServer.RTSPMedia.prototype.get_protocols

    function GstRtspServer.RTSPMedia.prototype.get_protocols(): {
        // javascript wrapper for 'gst_rtsp_media_get_protocols'
    }

Get the allowed protocols of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### GstRtspServer.RTSPMedia.get_protocols

    def GstRtspServer.RTSPMedia.get_protocols (self):
        #python wrapper for 'gst_rtsp_media_get_protocols'

Get the allowed protocols of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtsp.RTSPLowerTrans) –

a GstRtsp.RTSPLowerTrans

#### gst_rtsp_media_get_publish_clock_mode

    GstRTSPPublishClockMode
    gst_rtsp_media_get_publish_clock_mode (GstRTSPMedia * media)

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`media` –

a GstRTSPMedia

Returns –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPMedia.prototype.get_publish_clock_mode

    function GstRtspServer.RTSPMedia.prototype.get_publish_clock_mode(): {
        // javascript wrapper for 'gst_rtsp_media_get_publish_clock_mode'
    }

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### GstRtspServer.RTSPMedia.get_publish_clock_mode

    def GstRtspServer.RTSPMedia.get_publish_clock_mode (self):
        #python wrapper for 'gst_rtsp_media_get_publish_clock_mode'

Gets if and how the media clock should be published according to RFC7273.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPPublishClockMode) –

The GstRTSPPublishClockMode

Since : 1.8

#### gst_rtsp_media_get_range_string

    gchar *
    gst_rtsp_media_get_range_string (GstRTSPMedia * media,
                                     gboolean play,
                                     GstRTSPRangeUnit unit)

Get the current range as a string. media must be prepared with gst_rtsp_media_prepare ().

Parameters:

`media` –

a GstRTSPMedia

`play` –

for the PLAY request

`unit` –

the unit to use for the string

Returns ( [transfer: full][nullable]) –

The range as a string, g_free after usage.

#### GstRtspServer.RTSPMedia.prototype.get_range_string

    function GstRtspServer.RTSPMedia.prototype.get_range_string(play: Number, unit: GstRtsp.RTSPRangeUnit): {
        // javascript wrapper for 'gst_rtsp_media_get_range_string'
    }

Get the current range as a string. media must be prepared with gst_rtsp_media_prepare ().

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`play` (Number) –

for the PLAY request

`unit` (GstRtsp.RTSPRangeUnit) –

the unit to use for the string

Returns (String) –

The range as a string, GLib.prototype.free after usage.

#### GstRtspServer.RTSPMedia.get_range_string

    def GstRtspServer.RTSPMedia.get_range_string (self, play, unit):
        #python wrapper for 'gst_rtsp_media_get_range_string'

Get the current range as a string. media must be prepared with gst_rtsp_media_prepare ().

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`play` (bool) –

for the PLAY request

`unit` (GstRtsp.RTSPRangeUnit) –

the unit to use for the string

Returns (str) –

The range as a string, GLib.free after usage.

#### gst_rtsp_media_get_rate_control

    gboolean
    gst_rtsp_media_get_rate_control (GstRTSPMedia * media)

Parameters:

`media` –
No description available
Returns –

whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.get_rate_control

    function GstRtspServer.RTSPMedia.prototype.get_rate_control(): {
        // javascript wrapper for 'gst_rtsp_media_get_rate_control'
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –

whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### GstRtspServer.RTSPMedia.get_rate_control

    def GstRtspServer.RTSPMedia.get_rate_control (self):
        #python wrapper for 'gst_rtsp_media_get_rate_control'

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –

whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Since : 1.18

#### gst_rtsp_media_get_rates

    gboolean
    gst_rtsp_media_get_rates (GstRTSPMedia * media,
                              gdouble * rate,
                              gdouble * applied_rate)

Get the rate and applied_rate of the current segment.

Parameters:

`media` –

a GstRTSPMedia

`rate` ( [optional][out]) –

the rate of the current segment

`applied_rate` ( [optional][out]) –

the applied_rate of the current segment

Returns –

FALSE if looking up the rate and applied rate failed. Otherwise TRUE is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.get_rates

    function GstRtspServer.RTSPMedia.prototype.get_rates(): {
        // javascript wrapper for 'gst_rtsp_media_get_rates'
    }

Get the rate and applied_rate of the current segment.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns a tuple made of:

(Number ) –

false if looking up the rate and applied rate failed. Otherwise true is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

`rate` (Number ) –

false if looking up the rate and applied rate failed. Otherwise true is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

`applied_rate` (Number ) –

false if looking up the rate and applied rate failed. Otherwise true is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

Since : 1.18

#### GstRtspServer.RTSPMedia.get_rates

    def GstRtspServer.RTSPMedia.get_rates (self):
        #python wrapper for 'gst_rtsp_media_get_rates'

Get the rate and applied_rate of the current segment.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns a tuple made of:

(bool ) –

False if looking up the rate and applied rate failed. Otherwise True is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

`rate` (float ) –

False if looking up the rate and applied rate failed. Otherwise True is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

`applied_rate` (float ) –

False if looking up the rate and applied rate failed. Otherwise True is returned and rate and applied_rate are set to the rate and applied_rate of the current segment.

Since : 1.18

#### gst_rtsp_media_get_retransmission_time

    GstClockTime
    gst_rtsp_media_get_retransmission_time (GstRTSPMedia * media)

Get the amount of time to store retransmission data.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the amount of time to store retransmission data.

#### GstRtspServer.RTSPMedia.prototype.get_retransmission_time

    function GstRtspServer.RTSPMedia.prototype.get_retransmission_time(): {
        // javascript wrapper for 'gst_rtsp_media_get_retransmission_time'
    }

Get the amount of time to store retransmission data.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

the amount of time to store retransmission data.

#### GstRtspServer.RTSPMedia.get_retransmission_time

    def GstRtspServer.RTSPMedia.get_retransmission_time (self):
        #python wrapper for 'gst_rtsp_media_get_retransmission_time'

Get the amount of time to store retransmission data.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

the amount of time to store retransmission data.

#### gst_rtsp_media_get_status

    GstRTSPMediaStatus
    gst_rtsp_media_get_status (GstRTSPMedia * media)

Get the status of media. When media is busy preparing, this function waits until media is prepared or in error.

Parameters:

`media` –

a GstRTSPMedia

Returns –

the status of media.

#### GstRtspServer.RTSPMedia.prototype.get_status

    function GstRtspServer.RTSPMedia.prototype.get_status(): {
        // javascript wrapper for 'gst_rtsp_media_get_status'
    }

Get the status of media. When media is busy preparing, this function waits until media is prepared or in error.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPMediaStatus) –

the status of media.

#### GstRtspServer.RTSPMedia.get_status

    def GstRtspServer.RTSPMedia.get_status (self):
        #python wrapper for 'gst_rtsp_media_get_status'

Get the status of media. When media is busy preparing, this function waits until media is prepared or in error.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPMediaStatus) –

the status of media.

#### gst_rtsp_media_get_stream

    GstRTSPStream *
    gst_rtsp_media_get_stream (GstRTSPMedia * media,
                               guint idx)

Retrieve the stream with index idx from media.

Parameters:

`media` –

a GstRTSPMedia

`idx` –

the stream index

Returns ( [nullable][transfer: none]) –

the GstRTSPStream at index idx or NULL when a stream with that index did not exist.

#### GstRtspServer.RTSPMedia.prototype.get_stream

    function GstRtspServer.RTSPMedia.prototype.get_stream(idx: Number): {
        // javascript wrapper for 'gst_rtsp_media_get_stream'
    }

Retrieve the stream with index idx from media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`idx` (Number) –

the stream index

Returns (GstRtspServer.RTSPStream) –

the GstRtspServer.RTSPStream at index idx or null when a stream with that index did not exist.

#### GstRtspServer.RTSPMedia.get_stream

    def GstRtspServer.RTSPMedia.get_stream (self, idx):
        #python wrapper for 'gst_rtsp_media_get_stream'

Retrieve the stream with index idx from media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`idx` (int) –

the stream index

Returns (GstRtspServer.RTSPStream) –

the GstRtspServer.RTSPStream at index idx or None when a stream with that index did not exist.

#### gst_rtsp_media_get_suspend_mode

    GstRTSPSuspendMode
    gst_rtsp_media_get_suspend_mode (GstRTSPMedia * media)

Get how media will be suspended.

Parameters:

`media` –

a GstRTSPMedia

Returns –

GstRTSPSuspendMode.

#### GstRtspServer.RTSPMedia.prototype.get_suspend_mode

    function GstRtspServer.RTSPMedia.prototype.get_suspend_mode(): {
        // javascript wrapper for 'gst_rtsp_media_get_suspend_mode'
    }

Get how media will be suspended.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPSuspendMode) –

GstRtspServer.RTSPSuspendMode.

#### GstRtspServer.RTSPMedia.get_suspend_mode

    def GstRtspServer.RTSPMedia.get_suspend_mode (self):
        #python wrapper for 'gst_rtsp_media_get_suspend_mode'

Get how media will be suspended.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPSuspendMode) –

GstRtspServer.RTSPSuspendMode.

#### gst_rtsp_media_get_time_provider

    GstNetTimeProvider *
    gst_rtsp_media_get_time_provider (GstRTSPMedia * media,
                                      const gchar * address,
                                      guint16 port)

Get the GstNetTimeProvider for the clock used by media. The time provider will listen on address and port for client time requests.

Parameters:

`media` –

a GstRTSPMedia

`address` ( [allow-none]) –

an address or NULL

`port` –

a port or 0

Returns ( [transfer: full][nullable]) –

the GstNetTimeProvider of media.

#### GstRtspServer.RTSPMedia.prototype.get_time_provider

    function GstRtspServer.RTSPMedia.prototype.get_time_provider(address: String, port: Number): {
        // javascript wrapper for 'gst_rtsp_media_get_time_provider'
    }

Get the GstNet.NetTimeProvider for the clock used by media. The time provider will listen on address and port for client time requests.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`address` (String) –

an address or null

`port` (Number) –

a port or 0

Returns (GstNet.NetTimeProvider) –

the GstNet.NetTimeProvider of media.

#### GstRtspServer.RTSPMedia.get_time_provider

    def GstRtspServer.RTSPMedia.get_time_provider (self, address, port):
        #python wrapper for 'gst_rtsp_media_get_time_provider'

Get the GstNet.NetTimeProvider for the clock used by media. The time provider will listen on address and port for client time requests.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`address` (str) –

an address or None

`port` (int) –

a port or 0

Returns (GstNet.NetTimeProvider) –

the GstNet.NetTimeProvider of media.

#### gst_rtsp_media_get_transport_mode

    GstRTSPTransportMode
    gst_rtsp_media_get_transport_mode (GstRTSPMedia * media)

Check if the pipeline for media can be used for PLAY or RECORD methods.

Parameters:

`media` –

a GstRTSPMedia

Returns –

The transport mode.

#### GstRtspServer.RTSPMedia.prototype.get_transport_mode

    function GstRtspServer.RTSPMedia.prototype.get_transport_mode(): {
        // javascript wrapper for 'gst_rtsp_media_get_transport_mode'
    }

Check if the pipeline for media can be used for PLAY or RECORD methods.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPTransportMode) –

The transport mode.

#### GstRtspServer.RTSPMedia.get_transport_mode

    def GstRtspServer.RTSPMedia.get_transport_mode (self):
        #python wrapper for 'gst_rtsp_media_get_transport_mode'

Check if the pipeline for media can be used for PLAY or RECORD methods.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (GstRtspServer.RTSPTransportMode) –

The transport mode.

#### gst_rtsp_media_handle_sdp

    gboolean
    gst_rtsp_media_handle_sdp (GstRTSPMedia * media,
                               GstSDPMessage * sdp)

Configure an SDP on media for receiving streams

Parameters:

`media` –

a GstRTSPMedia

`sdp` ( [transfer: none]) –

a GstSDPMessage

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.handle_sdp

    function GstRtspServer.RTSPMedia.prototype.handle_sdp(sdp: GstSdp.SDPMessage): {
        // javascript wrapper for 'gst_rtsp_media_handle_sdp'
    }

Configure an SDP on media for receiving streams

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (Number) –

TRUE on success.

#### GstRtspServer.RTSPMedia.handle_sdp

    def GstRtspServer.RTSPMedia.handle_sdp (self, sdp):
        #python wrapper for 'gst_rtsp_media_handle_sdp'

Configure an SDP on media for receiving streams

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

Returns (bool) –

TRUE on success.

#### gst_rtsp_media_has_completed_sender

    gboolean
    gst_rtsp_media_has_completed_sender (GstRTSPMedia * media)

See gst_rtsp_stream_is_complete, gst_rtsp_stream_is_sender.

Parameters:

`media` –
No description available
Returns –

whether media has at least one complete sender stream.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.has_completed_sender

    function GstRtspServer.RTSPMedia.prototype.has_completed_sender(): {
        // javascript wrapper for 'gst_rtsp_media_has_completed_sender'
    }

See GstRtspServer.RTSPStream.prototype.is_complete, GstRtspServer.RTSPStream.prototype.is_sender.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –

whether media has at least one complete sender stream.

Since : 1.18

#### GstRtspServer.RTSPMedia.has_completed_sender

    def GstRtspServer.RTSPMedia.has_completed_sender (self):
        #python wrapper for 'gst_rtsp_media_has_completed_sender'

See GstRtspServer.RTSPStream.is_complete, GstRtspServer.RTSPStream.is_sender.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –

whether media has at least one complete sender stream.

Since : 1.18

#### gst_rtsp_media_is_bind_mcast_address

    gboolean
    gst_rtsp_media_is_bind_mcast_address (GstRTSPMedia * media)

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.is_bind_mcast_address

    function GstRtspServer.RTSPMedia.prototype.is_bind_mcast_address(): {
        // javascript wrapper for 'gst_rtsp_media_is_bind_mcast_address'
    }

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### GstRtspServer.RTSPMedia.is_bind_mcast_address

    def GstRtspServer.RTSPMedia.is_bind_mcast_address (self):
        #python wrapper for 'gst_rtsp_media_is_bind_mcast_address'

Check if multicast sockets are configured to be bound to multicast addresses.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if multicast sockets are configured to be bound to multicast addresses.

Since : 1.16

#### gst_rtsp_media_is_eos_shutdown

    gboolean
    gst_rtsp_media_is_eos_shutdown (GstRTSPMedia * media)

Check if the pipeline for media will send an EOS down the pipeline before unpreparing.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if the media will send EOS before unpreparing.

#### GstRtspServer.RTSPMedia.prototype.is_eos_shutdown

    function GstRtspServer.RTSPMedia.prototype.is_eos_shutdown(): {
        // javascript wrapper for 'gst_rtsp_media_is_eos_shutdown'
    }

Check if the pipeline for media will send an EOS down the pipeline before unpreparing.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if the media will send EOS before unpreparing.

#### GstRtspServer.RTSPMedia.is_eos_shutdown

    def GstRtspServer.RTSPMedia.is_eos_shutdown (self):
        #python wrapper for 'gst_rtsp_media_is_eos_shutdown'

Check if the pipeline for media will send an EOS down the pipeline before unpreparing.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if the media will send EOS before unpreparing.

#### gst_rtsp_media_is_receive_only

    gboolean
    gst_rtsp_media_is_receive_only (GstRTSPMedia * media)

Parameters:

`media` –
No description available
Returns –

TRUE if media is receive-only, FALSE otherwise.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.is_receive_only

    function GstRtspServer.RTSPMedia.prototype.is_receive_only(): {
        // javascript wrapper for 'gst_rtsp_media_is_receive_only'
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –

true if media is receive-only, false otherwise.

Since : 1.18

#### GstRtspServer.RTSPMedia.is_receive_only

    def GstRtspServer.RTSPMedia.is_receive_only (self):
        #python wrapper for 'gst_rtsp_media_is_receive_only'

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –

True if media is receive-only, False otherwise.

Since : 1.18

#### gst_rtsp_media_is_reusable

    gboolean
    gst_rtsp_media_is_reusable (GstRTSPMedia * media)

Check if the pipeline for media can be reused after an unprepare.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if the media can be reused

#### GstRtspServer.RTSPMedia.prototype.is_reusable

    function GstRtspServer.RTSPMedia.prototype.is_reusable(): {
        // javascript wrapper for 'gst_rtsp_media_is_reusable'
    }

Check if the pipeline for media can be reused after an unprepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if the media can be reused

#### GstRtspServer.RTSPMedia.is_reusable

    def GstRtspServer.RTSPMedia.is_reusable (self):
        #python wrapper for 'gst_rtsp_media_is_reusable'

Check if the pipeline for media can be reused after an unprepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if the media can be reused

#### gst_rtsp_media_is_shared

    gboolean
    gst_rtsp_media_is_shared (GstRTSPMedia * media)

Check if the pipeline for media can be shared between multiple clients in theory. This simply returns the value set via gst_rtsp_media_set_shared.

To know if a media can be shared in practice, i.e. if it's shareable and either reusable or was never unprepared before, use gst_rtsp_media_can_be_shared.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if the media can be shared between clients.

#### GstRtspServer.RTSPMedia.prototype.is_shared

    function GstRtspServer.RTSPMedia.prototype.is_shared(): {
        // javascript wrapper for 'gst_rtsp_media_is_shared'
    }

Check if the pipeline for media can be shared between multiple clients in theory. This simply returns the value set via GstRtspServer.RTSPMedia.prototype.set_shared.

To know if a media can be shared in practice, i.e. if it's shareable and either reusable or was never unprepared before, use GstRtspServer.RTSPMedia.prototype.can_be_shared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if the media can be shared between clients.

#### GstRtspServer.RTSPMedia.is_shared

    def GstRtspServer.RTSPMedia.is_shared (self):
        #python wrapper for 'gst_rtsp_media_is_shared'

Check if the pipeline for media can be shared between multiple clients in theory. This simply returns the value set via GstRtspServer.RTSPMedia.set_shared.

To know if a media can be shared in practice, i.e. if it's shareable and either reusable or was never unprepared before, use GstRtspServer.RTSPMedia.can_be_shared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if the media can be shared between clients.

#### gst_rtsp_media_is_stop_on_disconnect

    gboolean
    gst_rtsp_media_is_stop_on_disconnect (GstRTSPMedia * media)

Check if the pipeline for media will be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if the media will be stopped when a client disconnects without sending TEARDOWN.

#### GstRtspServer.RTSPMedia.prototype.is_stop_on_disconnect

    function GstRtspServer.RTSPMedia.prototype.is_stop_on_disconnect(): {
        // javascript wrapper for 'gst_rtsp_media_is_stop_on_disconnect'
    }

Check if the pipeline for media will be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if the media will be stopped when a client disconnects without sending TEARDOWN.

#### GstRtspServer.RTSPMedia.is_stop_on_disconnect

    def GstRtspServer.RTSPMedia.is_stop_on_disconnect (self):
        #python wrapper for 'gst_rtsp_media_is_stop_on_disconnect'

Check if the pipeline for media will be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if the media will be stopped when a client disconnects without sending TEARDOWN.

#### gst_rtsp_media_is_time_provider

    gboolean
    gst_rtsp_media_is_time_provider (GstRTSPMedia * media)

Check if media can provide a GstNetTimeProvider for its pipeline clock.

Use gst_rtsp_media_get_time_provider to get the network clock.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE if media can provide a GstNetTimeProvider.

#### GstRtspServer.RTSPMedia.prototype.is_time_provider

    function GstRtspServer.RTSPMedia.prototype.is_time_provider(): {
        // javascript wrapper for 'gst_rtsp_media_is_time_provider'
    }

Check if media can provide a GstNet.NetTimeProvider for its pipeline clock.

Use GstRtspServer.RTSPMedia.prototype.get_time_provider to get the network clock.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true if media can provide a GstNet.NetTimeProvider.

#### GstRtspServer.RTSPMedia.is_time_provider

    def GstRtspServer.RTSPMedia.is_time_provider (self):
        #python wrapper for 'gst_rtsp_media_is_time_provider'

Check if media can provide a GstNet.NetTimeProvider for its pipeline clock.

Use GstRtspServer.RTSPMedia.get_time_provider to get the network clock.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True if media can provide a GstNet.NetTimeProvider.

#### gst_rtsp_media_lock

    gst_rtsp_media_lock (GstRTSPMedia * media)

Lock the entire media. This is needed by callers such as rtsp_client to protect the media when it is shared by many clients. The lock prevents that concurrent clients alters the shared media, while one client already is working with it. Typically the lock is taken in external RTSP API calls that uses shared media such as DESCRIBE, SETUP, ANNOUNCE, TEARDOWN, PLAY, PAUSE.

As best practice take the lock as soon as the function get hold of a shared media object. Release the lock right before the function returns.

Parameters:

`media` –

a GstRTSPMedia

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.lock

    function GstRtspServer.RTSPMedia.prototype.lock(): {
        // javascript wrapper for 'gst_rtsp_media_lock'
    }

Lock the entire media. This is needed by callers such as rtsp_client to protect the media when it is shared by many clients. The lock prevents that concurrent clients alters the shared media, while one client already is working with it. Typically the lock is taken in external RTSP API calls that uses shared media such as DESCRIBE, SETUP, ANNOUNCE, TEARDOWN, PLAY, PAUSE.

As best practice take the lock as soon as the function get hold of a shared media object. Release the lock right before the function returns.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Since : 1.18

#### GstRtspServer.RTSPMedia.lock

    def GstRtspServer.RTSPMedia.lock (self):
        #python wrapper for 'gst_rtsp_media_lock'

Lock the entire media. This is needed by callers such as rtsp_client to protect the media when it is shared by many clients. The lock prevents that concurrent clients alters the shared media, while one client already is working with it. Typically the lock is taken in external RTSP API calls that uses shared media such as DESCRIBE, SETUP, ANNOUNCE, TEARDOWN, PLAY, PAUSE.

As best practice take the lock as soon as the function get hold of a shared media object. Release the lock right before the function returns.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Since : 1.18

#### gst_rtsp_media_n_streams

    guint
    gst_rtsp_media_n_streams (GstRTSPMedia * media)

Get the number of streams in this media.

Parameters:

`media` –

a GstRTSPMedia

Returns –

The number of streams.

#### GstRtspServer.RTSPMedia.prototype.n_streams

    function GstRtspServer.RTSPMedia.prototype.n_streams(): {
        // javascript wrapper for 'gst_rtsp_media_n_streams'
    }

Get the number of streams in this media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

The number of streams.

#### GstRtspServer.RTSPMedia.n_streams

    def GstRtspServer.RTSPMedia.n_streams (self):
        #python wrapper for 'gst_rtsp_media_n_streams'

Get the number of streams in this media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

The number of streams.

#### gst_rtsp_media_prepare

    gboolean
    gst_rtsp_media_prepare (GstRTSPMedia * media,
                            GstRTSPThread * thread)

Prepare media for streaming. This function will create the objects to manage the streaming. A pipeline must have been set on media with gst_rtsp_media_take_pipeline.

It will preroll the pipeline and collect vital information about the streams such as the duration.

Parameters:

`media` –

a GstRTSPMedia

`thread` ( [transfer: full][allow-none]) –

a GstRTSPThread to run the bus handler or NULL

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.prepare

    function GstRtspServer.RTSPMedia.prototype.prepare(thread: GstRtspServer.RTSPThread): {
        // javascript wrapper for 'gst_rtsp_media_prepare'
    }

Prepare media for streaming. This function will create the objects to manage the streaming. A pipeline must have been set on media with GstRtspServer.RTSPMedia.prototype.take_pipeline.

It will preroll the pipeline and collect vital information about the streams such as the duration.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`thread` (GstRtspServer.RTSPThread) –

a GstRtspServer.RTSPThread to run the bus handler or null

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.prepare

    def GstRtspServer.RTSPMedia.prepare (self, thread):
        #python wrapper for 'gst_rtsp_media_prepare'

Prepare media for streaming. This function will create the objects to manage the streaming. A pipeline must have been set on media with GstRtspServer.RTSPMedia.take_pipeline.

It will preroll the pipeline and collect vital information about the streams such as the duration.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`thread` (GstRtspServer.RTSPThread) –

a GstRtspServer.RTSPThread to run the bus handler or None

Returns (bool) –

True on success.

#### gst_rtsp_media_seek

    gboolean
    gst_rtsp_media_seek (GstRTSPMedia * media,
                         GstRTSPTimeRange * range)

Seek the pipeline of media to range. media must be prepared with gst_rtsp_media_prepare.

Parameters:

`media` –

a GstRTSPMedia

`range` ( [transfer: none]) –

a GstRTSPTimeRange

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.seek

    function GstRtspServer.RTSPMedia.prototype.seek(range: GstRtsp.RTSPTimeRange): {
        // javascript wrapper for 'gst_rtsp_media_seek'
    }

Seek the pipeline of media to range. media must be prepared with GstRtspServer.RTSPMedia.prototype.prepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.seek

    def GstRtspServer.RTSPMedia.seek (self, range):
        #python wrapper for 'gst_rtsp_media_seek'

Seek the pipeline of media to range. media must be prepared with GstRtspServer.RTSPMedia.prepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

Returns (bool) –

True on success.

#### gst_rtsp_media_seek_full

    gboolean
    gst_rtsp_media_seek_full (GstRTSPMedia * media,
                              GstRTSPTimeRange * range,
                              GstSeekFlags flags)

Seek the pipeline of media to range with the given flags. media must be prepared with gst_rtsp_media_prepare.

Parameters:

`media` –

a GstRTSPMedia

`range` ( [transfer: none]) –

a GstRTSPTimeRange

`flags` –

The minimal set of GstSeekFlags to use

Returns –

TRUE on success.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.seek_full

    function GstRtspServer.RTSPMedia.prototype.seek_full(range: GstRtsp.RTSPTimeRange, flags: Gst.SeekFlags): {
        // javascript wrapper for 'gst_rtsp_media_seek_full'
    }

Seek the pipeline of media to range with the given flags. media must be prepared with GstRtspServer.RTSPMedia.prototype.prepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`flags` (Gst.SeekFlags) –

The minimal set of Gst.SeekFlags to use

Returns (Number) –

true on success.

Since : 1.18

#### GstRtspServer.RTSPMedia.seek_full

    def GstRtspServer.RTSPMedia.seek_full (self, range, flags):
        #python wrapper for 'gst_rtsp_media_seek_full'

Seek the pipeline of media to range with the given flags. media must be prepared with GstRtspServer.RTSPMedia.prepare.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`flags` (Gst.SeekFlags) –

The minimal set of Gst.SeekFlags to use

Returns (bool) –

True on success.

Since : 1.18

#### gst_rtsp_media_seek_trickmode

    gboolean
    gst_rtsp_media_seek_trickmode (GstRTSPMedia * media,
                                   GstRTSPTimeRange * range,
                                   GstSeekFlags flags,
                                   gdouble rate,
                                   GstClockTime trickmode_interval)

Seek the pipeline of media to range with the given flags and rate, and trickmode_interval. media must be prepared with gst_rtsp_media_prepare. In order to perform the seek operation, the pipeline must contain all needed transport parts (transport sinks).

Parameters:

`media` –

a GstRTSPMedia

`range` ( [transfer: none]) –

a GstRTSPTimeRange

`flags` –

The minimal set of GstSeekFlags to use

`rate` –

the rate to use in the seek

`trickmode_interval` –

The trickmode interval to use for KEY_UNITS trick mode

Returns –

TRUE on success.

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.seek_trickmode

    function GstRtspServer.RTSPMedia.prototype.seek_trickmode(range: GstRtsp.RTSPTimeRange, flags: Gst.SeekFlags, rate: Number, trickmode_interval: Number): {
        // javascript wrapper for 'gst_rtsp_media_seek_trickmode'
    }

Seek the pipeline of media to range with the given flags and rate, and trickmode_interval. media must be prepared with GstRtspServer.RTSPMedia.prototype.prepare. In order to perform the seek operation, the pipeline must contain all needed transport parts (transport sinks).

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`flags` (Gst.SeekFlags) –

The minimal set of Gst.SeekFlags to use

`rate` (Number) –

the rate to use in the seek

`trickmode_interval` (Number) –

The trickmode interval to use for KEY_UNITS trick mode

Returns (Number) –

true on success.

Since : 1.18

#### GstRtspServer.RTSPMedia.seek_trickmode

    def GstRtspServer.RTSPMedia.seek_trickmode (self, range, flags, rate, trickmode_interval):
        #python wrapper for 'gst_rtsp_media_seek_trickmode'

Seek the pipeline of media to range with the given flags and rate, and trickmode_interval. media must be prepared with GstRtspServer.RTSPMedia.prepare. In order to perform the seek operation, the pipeline must contain all needed transport parts (transport sinks).

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`range` (GstRtsp.RTSPTimeRange) –

a GstRtsp.RTSPTimeRange

`flags` (Gst.SeekFlags) –

The minimal set of Gst.SeekFlags to use

`rate` (float) –

the rate to use in the seek

`trickmode_interval` (int) –

The trickmode interval to use for KEY_UNITS trick mode

Returns (bool) –

True on success.

Since : 1.18

#### gst_rtsp_media_seekable

    GstClockTimeDiff
    gst_rtsp_media_seekable (GstRTSPMedia * media)

Check if the pipeline for media seek and up to what point in time, it can seek.

Parameters:

`media` –

a GstRTSPMedia

Returns –

-1 if the stream is not seekable, 0 if seekable only to the beginning and > 0 to indicate the longest duration between any two random access points. G_MAXINT64 means any value is possible.

Since : 1.14

#### GstRtspServer.RTSPMedia.prototype.seekable

    function GstRtspServer.RTSPMedia.prototype.seekable(): {
        // javascript wrapper for 'gst_rtsp_media_seekable'
    }

Check if the pipeline for media seek and up to what point in time, it can seek.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

-1 if the stream is not seekable, 0 if seekable only to the beginning and > 0 to indicate the longest duration between any two random access points. GLib.MAXINT64 means any value is possible.

Since : 1.14

#### GstRtspServer.RTSPMedia.seekable

    def GstRtspServer.RTSPMedia.seekable (self):
        #python wrapper for 'gst_rtsp_media_seekable'

Check if the pipeline for media seek and up to what point in time, it can seek.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (int) –

-1 if the stream is not seekable, 0 if seekable only to the beginning and > 0 to indicate the longest duration between any two random access points. GLib.MAXINT64 means any value is possible.

Since : 1.14

#### gst_rtsp_media_set_address_pool

    gst_rtsp_media_set_address_pool (GstRTSPMedia * media,
                                     GstRTSPAddressPool * pool)

configure pool to be used as the address pool of media.

Parameters:

`media` –

a GstRTSPMedia

`pool` ( [transfer: none][nullable]) –

a GstRTSPAddressPool

#### GstRtspServer.RTSPMedia.prototype.set_address_pool

    function GstRtspServer.RTSPMedia.prototype.set_address_pool(pool: GstRtspServer.RTSPAddressPool): {
        // javascript wrapper for 'gst_rtsp_media_set_address_pool'
    }

configure pool to be used as the address pool of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### GstRtspServer.RTSPMedia.set_address_pool

    def GstRtspServer.RTSPMedia.set_address_pool (self, pool):
        #python wrapper for 'gst_rtsp_media_set_address_pool'

configure pool to be used as the address pool of media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`pool` (GstRtspServer.RTSPAddressPool) –

a GstRtspServer.RTSPAddressPool

#### gst_rtsp_media_set_bind_mcast_address

    gst_rtsp_media_set_bind_mcast_address (GstRTSPMedia * media,
                                           gboolean bind_mcast_addr)

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`media` –

a GstRTSPMedia

`bind_mcast_addr` –

the new value

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.set_bind_mcast_address

    function GstRtspServer.RTSPMedia.prototype.set_bind_mcast_address(bind_mcast_addr: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_bind_mcast_address'
    }

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`bind_mcast_addr` (Number) –

the new value

Since : 1.16

#### GstRtspServer.RTSPMedia.set_bind_mcast_address

    def GstRtspServer.RTSPMedia.set_bind_mcast_address (self, bind_mcast_addr):
        #python wrapper for 'gst_rtsp_media_set_bind_mcast_address'

Decide whether the multicast socket should be bound to a multicast address or INADDR_ANY.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`bind_mcast_addr` (bool) –

the new value

Since : 1.16

#### gst_rtsp_media_set_buffer_size

    gst_rtsp_media_set_buffer_size (GstRTSPMedia * media,
                                    guint size)

Set the kernel UDP buffer size.

Parameters:

`media` –

a GstRTSPMedia

`size` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_buffer_size

    function GstRtspServer.RTSPMedia.prototype.set_buffer_size(size: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_buffer_size'
    }

Set the kernel UDP buffer size.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`size` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_buffer_size

    def GstRtspServer.RTSPMedia.set_buffer_size (self, size):
        #python wrapper for 'gst_rtsp_media_set_buffer_size'

Set the kernel UDP buffer size.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`size` (int) –

the new value

#### gst_rtsp_media_set_clock

    gst_rtsp_media_set_clock (GstRTSPMedia * media,
                              GstClock * clock)

Configure the clock used for the media.

Parameters:

`media` –

a GstRTSPMedia

`clock` ( [nullable]) –

GstClock to be used

#### GstRtspServer.RTSPMedia.prototype.set_clock

    function GstRtspServer.RTSPMedia.prototype.set_clock(clock: Gst.Clock): {
        // javascript wrapper for 'gst_rtsp_media_set_clock'
    }

Configure the clock used for the media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`clock` (Gst.Clock) –

Gst.Clock to be used

#### GstRtspServer.RTSPMedia.set_clock

    def GstRtspServer.RTSPMedia.set_clock (self, clock):
        #python wrapper for 'gst_rtsp_media_set_clock'

Configure the clock used for the media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`clock` (Gst.Clock) –

Gst.Clock to be used

#### gst_rtsp_media_set_do_retransmission

    gst_rtsp_media_set_do_retransmission (GstRTSPMedia * media,
                                          gboolean do_retransmission)

Set whether retransmission requests will be sent

Parameters:

`media` –
No description available
`do_retransmission` –
No description available

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.set_do_retransmission

    function GstRtspServer.RTSPMedia.prototype.set_do_retransmission(do_retransmission: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_do_retransmission'
    }

Set whether retransmission requests will be sent

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`do_retransmission` (Number) –
No description available

Since : 1.16

#### GstRtspServer.RTSPMedia.set_do_retransmission

    def GstRtspServer.RTSPMedia.set_do_retransmission (self, do_retransmission):
        #python wrapper for 'gst_rtsp_media_set_do_retransmission'

Set whether retransmission requests will be sent

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`do_retransmission` (bool) –
No description available

Since : 1.16

#### gst_rtsp_media_set_dscp_qos

    gst_rtsp_media_set_dscp_qos (GstRTSPMedia * media,
                                 gint dscp_qos)

Configure the dscp qos of attached streams to dscp_qos.

Parameters:

`media` –

a GstRTSPMedia

`dscp_qos` –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.set_dscp_qos

    function GstRtspServer.RTSPMedia.prototype.set_dscp_qos(dscp_qos: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_dscp_qos'
    }

Configure the dscp qos of attached streams to dscp_qos.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`dscp_qos` (Number) –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### GstRtspServer.RTSPMedia.set_dscp_qos

    def GstRtspServer.RTSPMedia.set_dscp_qos (self, dscp_qos):
        #python wrapper for 'gst_rtsp_media_set_dscp_qos'

Configure the dscp qos of attached streams to dscp_qos.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`dscp_qos` (int) –

a new dscp qos value (0-63, or -1 to disable)

Since : 1.18

#### gst_rtsp_media_set_ensure_keyunit_on_start

    gst_rtsp_media_set_ensure_keyunit_on_start (GstRTSPMedia * media,
                                                gboolean ensure_keyunit_on_start)

Set whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Parameters:

`media` –

a GstRTSPMedia

`ensure_keyunit_on_start` –

the new value

Since : 1.24

#### GstRtspServer.RTSPMedia.prototype.set_ensure_keyunit_on_start

    function GstRtspServer.RTSPMedia.prototype.set_ensure_keyunit_on_start(ensure_keyunit_on_start: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_ensure_keyunit_on_start'
    }

Set whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`ensure_keyunit_on_start` (Number) –

the new value

Since : 1.24

#### GstRtspServer.RTSPMedia.set_ensure_keyunit_on_start

    def GstRtspServer.RTSPMedia.set_ensure_keyunit_on_start (self, ensure_keyunit_on_start):
        #python wrapper for 'gst_rtsp_media_set_ensure_keyunit_on_start'

Set whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`ensure_keyunit_on_start` (bool) –

the new value

Since : 1.24

#### gst_rtsp_media_set_ensure_keyunit_on_start_timeout

    gst_rtsp_media_set_ensure_keyunit_on_start_timeout (GstRTSPMedia * media,
                                                        guint timeout)

Sets the maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Parameters:

`media` –

a GstRTSPMedia

`timeout` –

the new value

Since : 1.24

#### GstRtspServer.RTSPMedia.prototype.set_ensure_keyunit_on_start_timeout

    function GstRtspServer.RTSPMedia.prototype.set_ensure_keyunit_on_start_timeout(timeout: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_ensure_keyunit_on_start_timeout'
    }

Sets the maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`timeout` (Number) –

the new value

Since : 1.24

#### GstRtspServer.RTSPMedia.set_ensure_keyunit_on_start_timeout

    def GstRtspServer.RTSPMedia.set_ensure_keyunit_on_start_timeout (self, timeout):
        #python wrapper for 'gst_rtsp_media_set_ensure_keyunit_on_start_timeout'

Sets the maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`timeout` (int) –

the new value

Since : 1.24

#### gst_rtsp_media_set_eos_shutdown

    gst_rtsp_media_set_eos_shutdown (GstRTSPMedia * media,
                                     gboolean eos_shutdown)

Set or unset if an EOS event will be sent to the pipeline for media before it is unprepared.

Parameters:

`media` –

a GstRTSPMedia

`eos_shutdown` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_eos_shutdown

    function GstRtspServer.RTSPMedia.prototype.set_eos_shutdown(eos_shutdown: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_eos_shutdown'
    }

Set or unset if an EOS event will be sent to the pipeline for media before it is unprepared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`eos_shutdown` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_eos_shutdown

    def GstRtspServer.RTSPMedia.set_eos_shutdown (self, eos_shutdown):
        #python wrapper for 'gst_rtsp_media_set_eos_shutdown'

Set or unset if an EOS event will be sent to the pipeline for media before it is unprepared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`eos_shutdown` (bool) –

the new value

#### gst_rtsp_media_set_latency

    gst_rtsp_media_set_latency (GstRTSPMedia * media,
                                guint latency)

Configure the latency used for receiving media.

Parameters:

`media` –

a GstRTSPMedia

`latency` –

latency in milliseconds

#### GstRtspServer.RTSPMedia.prototype.set_latency

    function GstRtspServer.RTSPMedia.prototype.set_latency(latency: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_latency'
    }

Configure the latency used for receiving media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`latency` (Number) –

latency in milliseconds

#### GstRtspServer.RTSPMedia.set_latency

    def GstRtspServer.RTSPMedia.set_latency (self, latency):
        #python wrapper for 'gst_rtsp_media_set_latency'

Configure the latency used for receiving media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`latency` (int) –

latency in milliseconds

#### gst_rtsp_media_set_max_mcast_ttl

    gboolean
    gst_rtsp_media_set_max_mcast_ttl (GstRTSPMedia * media,
                                      guint ttl)

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` –

a GstRTSPMedia

`ttl` –

the new multicast ttl value

Returns –

TRUE if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPMedia.prototype.set_max_mcast_ttl

    function GstRtspServer.RTSPMedia.prototype.set_max_mcast_ttl(ttl: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_max_mcast_ttl'
    }

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`ttl` (Number) –

the new multicast ttl value

Returns (Number) –

true if the requested ttl has been set successfully.

Since : 1.16

#### GstRtspServer.RTSPMedia.set_max_mcast_ttl

    def GstRtspServer.RTSPMedia.set_max_mcast_ttl (self, ttl):
        #python wrapper for 'gst_rtsp_media_set_max_mcast_ttl'

Set the maximum time-to-live value of outgoing multicast packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`ttl` (int) –

the new multicast ttl value

Returns (bool) –

True if the requested ttl has been set successfully.

Since : 1.16

#### gst_rtsp_media_set_multicast_iface

    gst_rtsp_media_set_multicast_iface (GstRTSPMedia * media,
                                        const gchar * multicast_iface)

configure multicast_iface to be used for media.

Parameters:

`media` –

a GstRTSPMedia

`multicast_iface` ( [transfer: none][nullable]) –

a multicast interface name

#### GstRtspServer.RTSPMedia.prototype.set_multicast_iface

    function GstRtspServer.RTSPMedia.prototype.set_multicast_iface(multicast_iface: String): {
        // javascript wrapper for 'gst_rtsp_media_set_multicast_iface'
    }

configure multicast_iface to be used for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`multicast_iface` (String) –

a multicast interface name

#### GstRtspServer.RTSPMedia.set_multicast_iface

    def GstRtspServer.RTSPMedia.set_multicast_iface (self, multicast_iface):
        #python wrapper for 'gst_rtsp_media_set_multicast_iface'

configure multicast_iface to be used for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`multicast_iface` (str) –

a multicast interface name

#### gst_rtsp_media_set_permissions

    gst_rtsp_media_set_permissions (GstRTSPMedia * media,
                                    GstRTSPPermissions * permissions)

Set permissions on media.

Parameters:

`media` –

a GstRTSPMedia

`permissions` ( [transfer: none][nullable]) –

a GstRTSPPermissions

#### GstRtspServer.RTSPMedia.prototype.set_permissions

    function GstRtspServer.RTSPMedia.prototype.set_permissions(permissions: GstRtspServer.RTSPPermissions): {
        // javascript wrapper for 'gst_rtsp_media_set_permissions'
    }

Set permissions on media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`permissions` (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions

#### GstRtspServer.RTSPMedia.set_permissions

    def GstRtspServer.RTSPMedia.set_permissions (self, permissions):
        #python wrapper for 'gst_rtsp_media_set_permissions'

Set permissions on media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`permissions` (GstRtspServer.RTSPPermissions) –

a GstRtspServer.RTSPPermissions

#### gst_rtsp_media_set_pipeline_state

    gst_rtsp_media_set_pipeline_state (GstRTSPMedia * media,
                                       GstState state)

Set the state of the pipeline managed by media to state

Parameters:

`media` –

a GstRTSPMedia

`state` –

the target state of the pipeline

#### GstRtspServer.RTSPMedia.prototype.set_pipeline_state

    function GstRtspServer.RTSPMedia.prototype.set_pipeline_state(state: Gst.State): {
        // javascript wrapper for 'gst_rtsp_media_set_pipeline_state'
    }

Set the state of the pipeline managed by media to state

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`state` (Gst.State) –

the target state of the pipeline

#### GstRtspServer.RTSPMedia.set_pipeline_state

    def GstRtspServer.RTSPMedia.set_pipeline_state (self, state):
        #python wrapper for 'gst_rtsp_media_set_pipeline_state'

Set the state of the pipeline managed by media to state

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`state` (Gst.State) –

the target state of the pipeline

#### gst_rtsp_media_set_profiles

    gst_rtsp_media_set_profiles (GstRTSPMedia * media,
                                 GstRTSPProfile profiles)

Configure the allowed lower transport for media.

Parameters:

`media` –

a GstRTSPMedia

`profiles` –

the new flags

#### GstRtspServer.RTSPMedia.prototype.set_profiles

    function GstRtspServer.RTSPMedia.prototype.set_profiles(profiles: GstRtsp.RTSPProfile): {
        // javascript wrapper for 'gst_rtsp_media_set_profiles'
    }

Configure the allowed lower transport for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`profiles` (GstRtsp.RTSPProfile) –

the new flags

#### GstRtspServer.RTSPMedia.set_profiles

    def GstRtspServer.RTSPMedia.set_profiles (self, profiles):
        #python wrapper for 'gst_rtsp_media_set_profiles'

Configure the allowed lower transport for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`profiles` (GstRtsp.RTSPProfile) –

the new flags

#### gst_rtsp_media_set_protocols

    gst_rtsp_media_set_protocols (GstRTSPMedia * media,
                                  GstRTSPLowerTrans protocols)

Configure the allowed lower transport for media.

Parameters:

`media` –

a GstRTSPMedia

`protocols` –

the new flags

#### GstRtspServer.RTSPMedia.prototype.set_protocols

    function GstRtspServer.RTSPMedia.prototype.set_protocols(protocols: GstRtsp.RTSPLowerTrans): {
        // javascript wrapper for 'gst_rtsp_media_set_protocols'
    }

Configure the allowed lower transport for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### GstRtspServer.RTSPMedia.set_protocols

    def GstRtspServer.RTSPMedia.set_protocols (self, protocols):
        #python wrapper for 'gst_rtsp_media_set_protocols'

Configure the allowed lower transport for media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`protocols` (GstRtsp.RTSPLowerTrans) –

the new flags

#### gst_rtsp_media_set_publish_clock_mode

    gst_rtsp_media_set_publish_clock_mode (GstRTSPMedia * media,
                                           GstRTSPPublishClockMode mode)

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`media` –

a GstRTSPMedia

`mode` –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPMedia.prototype.set_publish_clock_mode

    function GstRtspServer.RTSPMedia.prototype.set_publish_clock_mode(mode: GstRtspServer.RTSPPublishClockMode): {
        // javascript wrapper for 'gst_rtsp_media_set_publish_clock_mode'
    }

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### GstRtspServer.RTSPMedia.set_publish_clock_mode

    def GstRtspServer.RTSPMedia.set_publish_clock_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_set_publish_clock_mode'

Sets if and how the media clock should be published according to RFC7273.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPPublishClockMode) –

the clock publish mode

Since : 1.8

#### gst_rtsp_media_set_rate_control

    gst_rtsp_media_set_rate_control (GstRTSPMedia * media,
                                     gboolean enabled)

Define whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`media` –
No description available
`enabled` –
No description available

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.set_rate_control

    function GstRtspServer.RTSPMedia.prototype.set_rate_control(enabled: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_rate_control'
    }

Define whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`enabled` (Number) –
No description available

Since : 1.18

#### GstRtspServer.RTSPMedia.set_rate_control

    def GstRtspServer.RTSPMedia.set_rate_control (self, enabled):
        #python wrapper for 'gst_rtsp_media_set_rate_control'

Define whether media will follow the Rate-Control=no behaviour as specified in the ONVIF replay spec.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`enabled` (bool) –
No description available

Since : 1.18

#### gst_rtsp_media_set_retransmission_time

    gst_rtsp_media_set_retransmission_time (GstRTSPMedia * media,
                                            GstClockTime time)

Set the amount of time to store retransmission packets.

Parameters:

`media` –

a GstRTSPMedia

`time` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_retransmission_time

    function GstRtspServer.RTSPMedia.prototype.set_retransmission_time(time: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_retransmission_time'
    }

Set the amount of time to store retransmission packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`time` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_retransmission_time

    def GstRtspServer.RTSPMedia.set_retransmission_time (self, time):
        #python wrapper for 'gst_rtsp_media_set_retransmission_time'

Set the amount of time to store retransmission packets.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`time` (int) –

the new value

#### gst_rtsp_media_set_reusable

    gst_rtsp_media_set_reusable (GstRTSPMedia * media,
                                 gboolean reusable)

Set or unset if the pipeline for media can be reused after the pipeline has been unprepared.

Parameters:

`media` –

a GstRTSPMedia

`reusable` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_reusable

    function GstRtspServer.RTSPMedia.prototype.set_reusable(reusable: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_reusable'
    }

Set or unset if the pipeline for media can be reused after the pipeline has been unprepared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`reusable` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_reusable

    def GstRtspServer.RTSPMedia.set_reusable (self, reusable):
        #python wrapper for 'gst_rtsp_media_set_reusable'

Set or unset if the pipeline for media can be reused after the pipeline has been unprepared.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`reusable` (bool) –

the new value

#### gst_rtsp_media_set_shared

    gst_rtsp_media_set_shared (GstRTSPMedia * media,
                               gboolean shared)

Set or unset if the pipeline for media can be shared will multiple clients. When shared is TRUE, client requests for this media will share the media pipeline.

Parameters:

`media` –

a GstRTSPMedia

`shared` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_shared

    function GstRtspServer.RTSPMedia.prototype.set_shared(shared: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_shared'
    }

Set or unset if the pipeline for media can be shared will multiple clients. When shared is true, client requests for this media will share the media pipeline.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`shared` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_shared

    def GstRtspServer.RTSPMedia.set_shared (self, shared):
        #python wrapper for 'gst_rtsp_media_set_shared'

Set or unset if the pipeline for media can be shared will multiple clients. When shared is True, client requests for this media will share the media pipeline.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`shared` (bool) –

the new value

#### gst_rtsp_media_set_state

    gboolean
    gst_rtsp_media_set_state (GstRTSPMedia * media,
                              GstState state,
                              GPtrArray * transports)

Set the state of media to state and for the transports in transports.

media must be prepared with gst_rtsp_media_prepare;

Parameters:

`media` –

a GstRTSPMedia

`state` –

the target state of the media

`transports` –

(transfer none) (element-type GstRtspServer.RTSPStreamTransport): a GPtrArray of GstRTSPStreamTransport pointers

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.set_state

    function GstRtspServer.RTSPMedia.prototype.set_state(state: Gst.State, transports: [ GstRtspServer.RTSPStreamTransport ]): {
        // javascript wrapper for 'gst_rtsp_media_set_state'
    }

Set the state of media to state and for the transports in transports.

media must be prepared with GstRtspServer.RTSPMedia.prototype.prepare;

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`state` (Gst.State) –

the target state of the media

`transports` ([ GstRtspServer.RTSPStreamTransport ]) –

(transfer none) (element-type GstRtspServer.RTSPStreamTransport): a GPtrArray (not introspectable) of GstRtspServer.RTSPStreamTransport pointers

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.set_state

    def GstRtspServer.RTSPMedia.set_state (self, state, transports):
        #python wrapper for 'gst_rtsp_media_set_state'

Set the state of media to state and for the transports in transports.

media must be prepared with GstRtspServer.RTSPMedia.prepare;

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`state` (Gst.State) –

the target state of the media

`transports` ([ GstRtspServer.RTSPStreamTransport ]) –

(transfer none) (element-type GstRtspServer.RTSPStreamTransport): a GPtrArray (not introspectable) of GstRtspServer.RTSPStreamTransport pointers

Returns (bool) –

True on success.

#### gst_rtsp_media_set_stop_on_disconnect

    gst_rtsp_media_set_stop_on_disconnect (GstRTSPMedia * media,
                                           gboolean stop_on_disconnect)

Set or unset if the pipeline for media should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` –

a GstRTSPMedia

`stop_on_disconnect` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_stop_on_disconnect

    function GstRtspServer.RTSPMedia.prototype.set_stop_on_disconnect(stop_on_disconnect: Number): {
        // javascript wrapper for 'gst_rtsp_media_set_stop_on_disconnect'
    }

Set or unset if the pipeline for media should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`stop_on_disconnect` (Number) –

the new value

#### GstRtspServer.RTSPMedia.set_stop_on_disconnect

    def GstRtspServer.RTSPMedia.set_stop_on_disconnect (self, stop_on_disconnect):
        #python wrapper for 'gst_rtsp_media_set_stop_on_disconnect'

Set or unset if the pipeline for media should be stopped when a client disconnects without sending TEARDOWN.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`stop_on_disconnect` (bool) –

the new value

#### gst_rtsp_media_set_suspend_mode

    gst_rtsp_media_set_suspend_mode (GstRTSPMedia * media,
                                     GstRTSPSuspendMode mode)

Control how media will be suspended after the SDP has been generated and after a PAUSE request has been performed.

Media must be unprepared when setting the suspend mode.

Parameters:

`media` –

a GstRTSPMedia

`mode` –

the new GstRTSPSuspendMode

#### GstRtspServer.RTSPMedia.prototype.set_suspend_mode

    function GstRtspServer.RTSPMedia.prototype.set_suspend_mode(mode: GstRtspServer.RTSPSuspendMode): {
        // javascript wrapper for 'gst_rtsp_media_set_suspend_mode'
    }

Control how media will be suspended after the SDP has been generated and after a PAUSE request has been performed.

Media must be unprepared when setting the suspend mode.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPSuspendMode) –

the new GstRtspServer.RTSPSuspendMode

#### GstRtspServer.RTSPMedia.set_suspend_mode

    def GstRtspServer.RTSPMedia.set_suspend_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_set_suspend_mode'

Control how media will be suspended after the SDP has been generated and after a PAUSE request has been performed.

Media must be unprepared when setting the suspend mode.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPSuspendMode) –

the new GstRtspServer.RTSPSuspendMode

#### gst_rtsp_media_set_transport_mode

    gst_rtsp_media_set_transport_mode (GstRTSPMedia * media,
                                       GstRTSPTransportMode mode)

Sets if the media pipeline can work in PLAY or RECORD mode

Parameters:

`media` –

a GstRTSPMedia

`mode` –

the new value

#### GstRtspServer.RTSPMedia.prototype.set_transport_mode

    function GstRtspServer.RTSPMedia.prototype.set_transport_mode(mode: GstRtspServer.RTSPTransportMode): {
        // javascript wrapper for 'gst_rtsp_media_set_transport_mode'
    }

Sets if the media pipeline can work in PLAY or RECORD mode

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPTransportMode) –

the new value

#### GstRtspServer.RTSPMedia.set_transport_mode

    def GstRtspServer.RTSPMedia.set_transport_mode (self, mode):
        #python wrapper for 'gst_rtsp_media_set_transport_mode'

Sets if the media pipeline can work in PLAY or RECORD mode

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`mode` (GstRtspServer.RTSPTransportMode) –

the new value

#### gst_rtsp_media_setup_sdp

    gboolean
    gst_rtsp_media_setup_sdp (GstRTSPMedia * media,
                              GstSDPMessage * sdp,
                              GstSDPInfo * info)

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`media` –

a GstRTSPMedia

`sdp` ( [transfer: none]) –

a GstSDPMessage

`info` ( [transfer: none]) –

a GstSDPInfo

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.setup_sdp

    function GstRtspServer.RTSPMedia.prototype.setup_sdp(sdp: GstSdp.SDPMessage, info: GstRtspServer.SDPInfo): {
        // javascript wrapper for 'gst_rtsp_media_setup_sdp'
    }

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

Returns (Number) –

TRUE on success.

#### GstRtspServer.RTSPMedia.setup_sdp

    def GstRtspServer.RTSPMedia.setup_sdp (self, sdp, info):
        #python wrapper for 'gst_rtsp_media_setup_sdp'

Add media specific info to sdp. info is used to configure the connection information in the SDP.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`sdp` (GstSdp.SDPMessage) –

a GstSdp.SDPMessage

`info` (GstRtspServer.SDPInfo) –

a GstRtspServer.SDPInfo

Returns (bool) –

TRUE on success.

#### gst_rtsp_media_suspend

    gboolean
    gst_rtsp_media_suspend (GstRTSPMedia * media)

Suspend media. The state of the pipeline managed by media is set to GST_STATE_NULL but all streams are kept. media can be prepared again with gst_rtsp_media_unsuspend

media must be prepared with gst_rtsp_media_prepare;

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.suspend

    function GstRtspServer.RTSPMedia.prototype.suspend(): {
        // javascript wrapper for 'gst_rtsp_media_suspend'
    }

Suspend media. The state of the pipeline managed by media is set to GST_STATE_NULL but all streams are kept. media can be prepared again with GstRtspServer.RTSPMedia.prototype.unsuspend

media must be prepared with GstRtspServer.RTSPMedia.prototype.prepare;

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.suspend

    def GstRtspServer.RTSPMedia.suspend (self):
        #python wrapper for 'gst_rtsp_media_suspend'

Suspend media. The state of the pipeline managed by media is set to GST_STATE_NULL but all streams are kept. media can be prepared again with GstRtspServer.RTSPMedia.unsuspend

media must be prepared with GstRtspServer.RTSPMedia.prepare;

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True on success.

#### gst_rtsp_media_take_pipeline

    gst_rtsp_media_take_pipeline (GstRTSPMedia * media,
                                  GstPipeline * pipeline)

Set pipeline as the GstPipeline for media. Ownership is taken of pipeline.

Parameters:

`media` –

a GstRTSPMedia

`pipeline` ( [transfer: floating]) –

a GstPipeline

#### GstRtspServer.RTSPMedia.prototype.take_pipeline

    function GstRtspServer.RTSPMedia.prototype.take_pipeline(pipeline: Gst.Pipeline): {
        // javascript wrapper for 'gst_rtsp_media_take_pipeline'
    }

Set pipeline as the Gst.Pipeline for media. Ownership is taken of pipeline.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`pipeline` (Gst.Pipeline) –

a Gst.Pipeline

#### GstRtspServer.RTSPMedia.take_pipeline

    def GstRtspServer.RTSPMedia.take_pipeline (self, pipeline):
        #python wrapper for 'gst_rtsp_media_take_pipeline'

Set pipeline as the Gst.Pipeline for media. Ownership is taken of pipeline.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`pipeline` (Gst.Pipeline) –

a Gst.Pipeline

#### gst_rtsp_media_unlock

    gst_rtsp_media_unlock (GstRTSPMedia * media)

Unlock the media.

Parameters:

`media` –

a GstRTSPMedia

Since : 1.18

#### GstRtspServer.RTSPMedia.prototype.unlock

    function GstRtspServer.RTSPMedia.prototype.unlock(): {
        // javascript wrapper for 'gst_rtsp_media_unlock'
    }

Unlock the media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Since : 1.18

#### GstRtspServer.RTSPMedia.unlock

    def GstRtspServer.RTSPMedia.unlock (self):
        #python wrapper for 'gst_rtsp_media_unlock'

Unlock the media.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Since : 1.18

#### gst_rtsp_media_unprepare

    gboolean
    gst_rtsp_media_unprepare (GstRTSPMedia * media)

Unprepare media. After this call, the media should be prepared again before it can be used again. If the media is set to be non-reusable, a new instance must be created.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.unprepare

    function GstRtspServer.RTSPMedia.prototype.unprepare(): {
        // javascript wrapper for 'gst_rtsp_media_unprepare'
    }

Unprepare media. After this call, the media should be prepared again before it can be used again. If the media is set to be non-reusable, a new instance must be created.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.unprepare

    def GstRtspServer.RTSPMedia.unprepare (self):
        #python wrapper for 'gst_rtsp_media_unprepare'

Unprepare media. After this call, the media should be prepared again before it can be used again. If the media is set to be non-reusable, a new instance must be created.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True on success.

#### gst_rtsp_media_unsuspend

    gboolean
    gst_rtsp_media_unsuspend (GstRTSPMedia * media)

Unsuspend media if it was in a suspended state. This method does nothing when the media was not in the suspended state.

Parameters:

`media` –

a GstRTSPMedia

Returns –

TRUE on success.

#### GstRtspServer.RTSPMedia.prototype.unsuspend

    function GstRtspServer.RTSPMedia.prototype.unsuspend(): {
        // javascript wrapper for 'gst_rtsp_media_unsuspend'
    }

Unsuspend media if it was in a suspended state. This method does nothing when the media was not in the suspended state.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (Number) –

true on success.

#### GstRtspServer.RTSPMedia.unsuspend

    def GstRtspServer.RTSPMedia.unsuspend (self):
        #python wrapper for 'gst_rtsp_media_unsuspend'

Unsuspend media if it was in a suspended state. This method does nothing when the media was not in the suspended state.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

Returns (bool) –

True on success.

#### gst_rtsp_media_use_time_provider

    gst_rtsp_media_use_time_provider (GstRTSPMedia * media,
                                      gboolean time_provider)

Set media to provide a GstNetTimeProvider.

Parameters:

`media` –

a GstRTSPMedia

`time_provider` –

if a GstNetTimeProvider should be used

#### GstRtspServer.RTSPMedia.prototype.use_time_provider

    function GstRtspServer.RTSPMedia.prototype.use_time_provider(time_provider: Number): {
        // javascript wrapper for 'gst_rtsp_media_use_time_provider'
    }

Set media to provide a GstNet.NetTimeProvider.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`time_provider` (Number) –

if a GstNet.NetTimeProvider should be used

#### GstRtspServer.RTSPMedia.use_time_provider

    def GstRtspServer.RTSPMedia.use_time_provider (self, time_provider):
        #python wrapper for 'gst_rtsp_media_use_time_provider'

Set media to provide a GstNet.NetTimeProvider.

Parameters:

`media` (GstRtspServer.RTSPMedia) –

a GstRtspServer.RTSPMedia

`time_provider` (bool) –

if a GstNet.NetTimeProvider should be used

### Signals

#### handle-message

    gboolean
    handle_message_callback (GstRTSPMedia * self,
                             GstMessage * message,
                             gpointer user_data)

Will be emitted when a message appears on the pipeline bus.

Parameters:

`self` –
No description available
`message` –

a GstMessage

`user_data` –
No description available
Returns –

a gboolean indicating if the call was successful or not.

Flags: Run Last

Since : 1.22

#### handle-message

    function handle_message_callback(self: GstRtspServer.RTSPMedia, message: Gst.Message, user_data: Object): {
        // javascript callback for the 'handle-message' signal
    }

Will be emitted when a message appears on the pipeline bus.

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`message` (Gst.Message) –

a Gst.Message

`user_data` (Object) –
No description available
Returns (Number) –

a Number indicating if the call was successful or not.

Flags: Run Last

Since : 1.22

#### handle-message

    def handle_message_callback (self, message, *user_data):
        #python callback for the 'handle-message' signal

Will be emitted when a message appears on the pipeline bus.

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`message` (Gst.Message) –

a Gst.Message

`user_data` (variadic) –
No description available
Returns (bool) –

a bool indicating if the call was successful or not.

Flags: Run Last

Since : 1.22

#### new-state

    new_state_callback (GstRTSPMedia * self,
                        gint object,
                        gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-state

    function new_state_callback(self: GstRtspServer.RTSPMedia, object: Number, user_data: Object): {
        // javascript callback for the 'new-state' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-state

    def new_state_callback (self, object, *user_data):
        #python callback for the 'new-state' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### new-stream

    new_stream_callback (GstRTSPMedia * self,
                         GstRTSPStream * object,
                         gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### new-stream

    function new_stream_callback(self: GstRtspServer.RTSPMedia, object: GstRtspServer.RTSPStream, user_data: Object): {
        // javascript callback for the 'new-stream' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (GstRtspServer.RTSPStream) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### new-stream

    def new_stream_callback (self, object, *user_data):
        #python callback for the 'new-stream' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (GstRtspServer.RTSPStream) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### prepared

    prepared_callback (GstRTSPMedia * self,
                       gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### prepared

    function prepared_callback(self: GstRtspServer.RTSPMedia, user_data: Object): {
        // javascript callback for the 'prepared' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### prepared

    def prepared_callback (self, *user_data):
        #python callback for the 'prepared' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### removed-stream

    removed_stream_callback (GstRTSPMedia * self,
                             GstRTSPStream * object,
                             gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### removed-stream

    function removed_stream_callback(self: GstRtspServer.RTSPMedia, object: GstRtspServer.RTSPStream, user_data: Object): {
        // javascript callback for the 'removed-stream' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (GstRtspServer.RTSPStream) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### removed-stream

    def removed_stream_callback (self, object, *user_data):
        #python callback for the 'removed-stream' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (GstRtspServer.RTSPStream) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### target-state

    target_state_callback (GstRTSPMedia * self,
                           gint object,
                           gpointer user_data)

Parameters:

`self` –
No description available
`object` –
No description available
`user_data` –
No description available

Flags: Run Last

#### target-state

    function target_state_callback(self: GstRtspServer.RTSPMedia, object: Number, user_data: Object): {
        // javascript callback for the 'target-state' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (Number) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### target-state

    def target_state_callback (self, object, *user_data):
        #python callback for the 'target-state' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`object` (int) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

#### unprepared

    unprepared_callback (GstRTSPMedia * self,
                         gpointer user_data)

Parameters:

`self` –
No description available
`user_data` –
No description available

Flags: Run Last

#### unprepared

    function unprepared_callback(self: GstRtspServer.RTSPMedia, user_data: Object): {
        // javascript callback for the 'unprepared' signal
    }

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (Object) –
No description available

Flags: Run Last

#### unprepared

    def unprepared_callback (self, *user_data):
        #python callback for the 'unprepared' signal

Parameters:

`self` (GstRtspServer.RTSPMedia) –
No description available
`user_data` (variadic) –
No description available

Flags: Run Last

### Properties

#### bind-mcast-address

    “bind-mcast-address” gboolean

Flags : Read / Write

#### bind-mcast-address

    “bind-mcast-address” Number

Flags : Read / Write

#### bind_mcast_address

    “self.props.bind_mcast_address” bool

Flags : Read / Write

#### buffer-size

    “buffer-size” guint

Flags : Read / Write

#### buffer-size

    “buffer-size” Number

Flags : Read / Write

#### buffer_size

    “self.props.buffer_size” int

Flags : Read / Write

#### clock

    “clock” GstClock *

Flags : Read / Write

#### clock

    “clock” Gst.Clock

Flags : Read / Write

#### clock

    “self.props.clock” Gst.Clock

Flags : Read / Write

#### dscp-qos

    “dscp-qos” gint

Flags : Read / Write

#### dscp-qos

    “dscp-qos” Number

Flags : Read / Write

#### dscp_qos

    “self.props.dscp_qos” int

Flags : Read / Write

#### element

    “element” GstElement *

Flags : Read / Write / Construct Only

#### element

    “element” Gst.Element

Flags : Read / Write / Construct Only

#### element

    “self.props.element” Gst.Element

Flags : Read / Write / Construct Only

#### ensure-keyunit-on-start

    “ensure-keyunit-on-start” gboolean

Whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start

    “ensure-keyunit-on-start” Number

Whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure_keyunit_on_start

    “self.props.ensure_keyunit_on_start” bool

Whether or not a keyunit should be ensured when a client connects. It will also configure the streams to drop delta units to ensure that they start on a keyunit.

Note that this will only affect non-shared medias for now.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start-timeout

    “ensure-keyunit-on-start-timeout” guint

The maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### ensure-keyunit-on-start-timeout

    “ensure-keyunit-on-start-timeout” Number

The maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### ensure_keyunit_on_start_timeout

    “self.props.ensure_keyunit_on_start_timeout” int

The maximum allowed time before the first keyunit is considered expired.

Note that this will only have an effect when ensure-keyunit-on-start is enabled.

Flags : Read / Write

Since : 1.24

#### eos-shutdown

    “eos-shutdown” gboolean

Flags : Read / Write

#### eos-shutdown

    “eos-shutdown” Number

Flags : Read / Write

#### eos_shutdown

    “self.props.eos_shutdown” bool

Flags : Read / Write

#### latency

    “latency” guint

Flags : Read / Write

#### latency

    “latency” Number

Flags : Read / Write

#### latency

    “self.props.latency” int

Flags : Read / Write

#### max-mcast-ttl

    “max-mcast-ttl” guint

Flags : Read / Write

#### max-mcast-ttl

    “max-mcast-ttl” Number

Flags : Read / Write

#### max_mcast_ttl

    “self.props.max_mcast_ttl” int

Flags : Read / Write

#### profiles

    “profiles” GstRTSPProfile *

Flags : Read / Write

#### profiles

    “profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### profiles

    “self.props.profiles” GstRtsp.RTSPProfile

Flags : Read / Write

#### protocols

    “protocols” GstRTSPLowerTrans *

Flags : Read / Write

#### protocols

    “protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

#### protocols

    “self.props.protocols” GstRtsp.RTSPLowerTrans

Flags : Read / Write

#### reusable

    “reusable” gboolean

Flags : Read / Write

#### reusable

    “reusable” Number

Flags : Read / Write

#### reusable

    “self.props.reusable” bool

Flags : Read / Write

#### shared

    “shared” gboolean

Flags : Read / Write

#### shared

    “shared” Number

Flags : Read / Write

#### shared

    “self.props.shared” bool

Flags : Read / Write

#### stop-on-disconnect

    “stop-on-disconnect” gboolean

Flags : Read / Write

#### stop-on-disconnect

    “stop-on-disconnect” Number

Flags : Read / Write

#### stop_on_disconnect

    “self.props.stop_on_disconnect” bool

Flags : Read / Write

#### suspend-mode

    “suspend-mode” GstRTSPSuspendMode *

Flags : Read / Write

#### suspend-mode

    “suspend-mode” GstRtspServer.RTSPSuspendMode

Flags : Read / Write

#### suspend_mode

    “self.props.suspend_mode” GstRtspServer.RTSPSuspendMode

Flags : Read / Write

#### time-provider

    “time-provider” gboolean

Flags : Read / Write

#### time-provider

    “time-provider” Number

Flags : Read / Write

#### time_provider

    “self.props.time_provider” bool

Flags : Read / Write

#### transport-mode

    “transport-mode” GstRTSPTransportMode *

Flags : Read / Write

#### transport-mode

    “transport-mode” GstRtspServer.RTSPTransportMode

Flags : Read / Write

#### transport_mode

    “self.props.transport_mode” GstRtspServer.RTSPTransportMode

Flags : Read / Write

### Virtual Methods

#### convert_range

    gboolean
    convert_range (GstRTSPMedia * media,
                   GstRTSPTimeRange * range,
                   GstRTSPRangeUnit unit)

convert a range to the given unit

Parameters:

`media` –
No description available
`range` –
No description available
`unit` –
No description available
Returns –
No description available

#### vfunc_convert_range

    function vfunc_convert_range(media: GstRtspServer.RTSPMedia, range: GstRtsp.RTSPTimeRange, unit: GstRtsp.RTSPRangeUnit): {
        // javascript implementation of the 'convert_range' virtual method
    }

convert a range to the given unit

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`range` (GstRtsp.RTSPTimeRange) –
No description available
`unit` (GstRtsp.RTSPRangeUnit) –
No description available
Returns (Number) –
No description available

#### do_convert_range

    def do_convert_range (media, range, unit):
        #python implementation of the 'convert_range' virtual method

convert a range to the given unit

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`range` (GstRtsp.RTSPTimeRange) –
No description available
`unit` (GstRtsp.RTSPRangeUnit) –
No description available
Returns (bool) –
No description available

#### create_rtpbin

    GstElement *
    create_rtpbin (GstRTSPMedia * media)

Parameters:

`media` –
No description available
Returns –
No description available

#### handle_message

    gboolean
    handle_message (GstRTSPMedia * media,
                    GstMessage * message)

handle a message

Parameters:

`media` –
No description available
`message` –
No description available
Returns –
No description available

#### vfunc_handle_message

    function vfunc_handle_message(media: GstRtspServer.RTSPMedia, message: Gst.Message): {
        // javascript implementation of the 'handle_message' virtual method
    }

handle a message

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`message` (Gst.Message) –
No description available
Returns (Number) –
No description available

#### do_handle_message

    def do_handle_message (media, message):
        #python implementation of the 'handle_message' virtual method

handle a message

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`message` (Gst.Message) –
No description available
Returns (bool) –
No description available

#### handle_sdp

    gboolean
    handle_sdp (GstRTSPMedia * media,
                GstSDPMessage * sdp)

Parameters:

`media` –
No description available
`sdp` –
No description available
Returns –
No description available

#### vfunc_handle_sdp

    function vfunc_handle_sdp(media: GstRtspServer.RTSPMedia, sdp: GstSdp.SDPMessage): {
        // javascript implementation of the 'handle_sdp' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
Returns (Number) –
No description available

#### do_handle_sdp

    def do_handle_sdp (media, sdp):
        #python implementation of the 'handle_sdp' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
Returns (bool) –
No description available

#### new_state

    new_state (GstRTSPMedia * media,
               GstState state)

Parameters:

`media` –
No description available
`state` –
No description available

#### vfunc_new_state

    function vfunc_new_state(media: GstRtspServer.RTSPMedia, state: Gst.State): {
        // javascript implementation of the 'new_state' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`state` (Gst.State) –
No description available

#### do_new_state

    def do_new_state (media, state):
        #python implementation of the 'new_state' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`state` (Gst.State) –
No description available

#### new_stream

    new_stream (GstRTSPMedia * media,
                GstRTSPStream * stream)

Parameters:

`media` –
No description available
`stream` –
No description available

#### vfunc_new_stream

    function vfunc_new_stream(media: GstRtspServer.RTSPMedia, stream: GstRtspServer.RTSPStream): {
        // javascript implementation of the 'new_stream' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available

#### do_new_stream

    def do_new_stream (media, stream):
        #python implementation of the 'new_stream' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available

#### prepare

    gboolean
    prepare (GstRTSPMedia * media,
             GstRTSPThread * thread)

the default implementation adds all elements and sets the pipeline's state to GST_STATE_PAUSED (or GST_STATE_PLAYING in case of NO_PREROLL elements).

Parameters:

`media` –
No description available
`thread` –
No description available
Returns –
No description available

#### vfunc_prepare

    function vfunc_prepare(media: GstRtspServer.RTSPMedia, thread: GstRtspServer.RTSPThread): {
        // javascript implementation of the 'prepare' virtual method
    }

the default implementation adds all elements and sets the pipeline's state to GST_STATE_PAUSED (or GST_STATE_PLAYING in case of NO_PREROLL elements).

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`thread` (GstRtspServer.RTSPThread) –
No description available
Returns (Number) –
No description available

#### do_prepare

    def do_prepare (media, thread):
        #python implementation of the 'prepare' virtual method

the default implementation adds all elements and sets the pipeline's state to GST_STATE_PAUSED (or GST_STATE_PLAYING in case of NO_PREROLL elements).

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`thread` (GstRtspServer.RTSPThread) –
No description available
Returns (bool) –
No description available

#### prepared

    prepared (GstRTSPMedia * media)

Parameters:

`media` –
No description available

#### vfunc_prepared

    function vfunc_prepared(media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'prepared' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available

#### do_prepared

    def do_prepared (media):
        #python implementation of the 'prepared' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available

#### query_position

    gboolean
    query_position (GstRTSPMedia * media,
                    gint64 * position)

query the current position in the pipeline

Parameters:

`media` –
No description available
`position` –
No description available
Returns –
No description available

#### vfunc_query_position

    function vfunc_query_position(media: GstRtspServer.RTSPMedia, position: Number): {
        // javascript implementation of the 'query_position' virtual method
    }

query the current position in the pipeline

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`position` (Number) –
No description available
Returns (Number) –
No description available

#### do_query_position

    def do_query_position (media, position):
        #python implementation of the 'query_position' virtual method

query the current position in the pipeline

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`position` (int) –
No description available
Returns (bool) –
No description available

#### query_stop

    gboolean
    query_stop (GstRTSPMedia * media,
                gint64 * stop)

query when playback will stop

Parameters:

`media` –
No description available
`stop` –
No description available
Returns –
No description available

#### vfunc_query_stop

    function vfunc_query_stop(media: GstRtspServer.RTSPMedia, stop: Number): {
        // javascript implementation of the 'query_stop' virtual method
    }

query when playback will stop

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stop` (Number) –
No description available
Returns (Number) –
No description available

#### do_query_stop

    def do_query_stop (media, stop):
        #python implementation of the 'query_stop' virtual method

query when playback will stop

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stop` (int) –
No description available
Returns (bool) –
No description available

#### removed_stream

    removed_stream (GstRTSPMedia * media,
                    GstRTSPStream * stream)

Parameters:

`media` –
No description available
`stream` –
No description available

#### vfunc_removed_stream

    function vfunc_removed_stream(media: GstRtspServer.RTSPMedia, stream: GstRtspServer.RTSPStream): {
        // javascript implementation of the 'removed_stream' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available

#### do_removed_stream

    def do_removed_stream (media, stream):
        #python implementation of the 'removed_stream' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`stream` (GstRtspServer.RTSPStream) –
No description available

#### setup_rtpbin

    gboolean
    setup_rtpbin (GstRTSPMedia * media,
                  GstElement * rtpbin)

Parameters:

`media` –
No description available
`rtpbin` –
No description available
Returns –
No description available

#### vfunc_setup_rtpbin

    function vfunc_setup_rtpbin(media: GstRtspServer.RTSPMedia, rtpbin: Gst.Element): {
        // javascript implementation of the 'setup_rtpbin' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`rtpbin` (Gst.Element) –
No description available
Returns (Number) –
No description available

#### do_setup_rtpbin

    def do_setup_rtpbin (media, rtpbin):
        #python implementation of the 'setup_rtpbin' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`rtpbin` (Gst.Element) –
No description available
Returns (bool) –
No description available

#### setup_sdp

    gboolean
    setup_sdp (GstRTSPMedia * media,
               GstSDPMessage * sdp,
               GstSDPInfo * info)

Parameters:

`media` –
No description available
`sdp` –
No description available
`info` –
No description available
Returns –
No description available

#### vfunc_setup_sdp

    function vfunc_setup_sdp(media: GstRtspServer.RTSPMedia, sdp: GstSdp.SDPMessage, info: GstRtspServer.SDPInfo): {
        // javascript implementation of the 'setup_sdp' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
`info` (GstRtspServer.SDPInfo) –
No description available
Returns (Number) –
No description available

#### do_setup_sdp

    def do_setup_sdp (media, sdp, info):
        #python implementation of the 'setup_sdp' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`sdp` (GstSdp.SDPMessage) –
No description available
`info` (GstRtspServer.SDPInfo) –
No description available
Returns (bool) –
No description available

#### suspend

    gboolean
    suspend (GstRTSPMedia * media)

the default implementation sets the pipeline's state to GST_STATE_NULL GST_STATE_PAUSED depending on the selected suspend mode.

Parameters:

`media` –
No description available
Returns –
No description available

#### vfunc_suspend

    function vfunc_suspend(media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'suspend' virtual method
    }

the default implementation sets the pipeline's state to GST_STATE_NULL GST_STATE_PAUSED depending on the selected suspend mode.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –
No description available

#### do_suspend

    def do_suspend (media):
        #python implementation of the 'suspend' virtual method

the default implementation sets the pipeline's state to GST_STATE_NULL GST_STATE_PAUSED depending on the selected suspend mode.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –
No description available

#### target_state

    target_state (GstRTSPMedia * media,
                  GstState state)

Parameters:

`media` –
No description available
`state` –
No description available

#### vfunc_target_state

    function vfunc_target_state(media: GstRtspServer.RTSPMedia, state: Gst.State): {
        // javascript implementation of the 'target_state' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`state` (Gst.State) –
No description available

#### do_target_state

    def do_target_state (media, state):
        #python implementation of the 'target_state' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
`state` (Gst.State) –
No description available

#### unprepare

    gboolean
    unprepare (GstRTSPMedia * media)

the default implementation sets the pipeline's state to GST_STATE_NULL and removes all elements.

Parameters:

`media` –
No description available
Returns –
No description available

#### vfunc_unprepare

    function vfunc_unprepare(media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'unprepare' virtual method
    }

the default implementation sets the pipeline's state to GST_STATE_NULL and removes all elements.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –
No description available

#### do_unprepare

    def do_unprepare (media):
        #python implementation of the 'unprepare' virtual method

the default implementation sets the pipeline's state to GST_STATE_NULL and removes all elements.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –
No description available

#### unprepared

    unprepared (GstRTSPMedia * media)

Parameters:

`media` –
No description available

#### vfunc_unprepared

    function vfunc_unprepared(media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'unprepared' virtual method
    }

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available

#### do_unprepared

    def do_unprepared (media):
        #python implementation of the 'unprepared' virtual method

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available

#### unsuspend

    gboolean
    unsuspend (GstRTSPMedia * media)

the default implementation reverts the suspend operation. The pipeline will be prerolled again if it's state was set to GST_STATE_NULL in suspend.

Parameters:

`media` –
No description available
Returns –
No description available

#### vfunc_unsuspend

    function vfunc_unsuspend(media: GstRtspServer.RTSPMedia): {
        // javascript implementation of the 'unsuspend' virtual method
    }

the default implementation reverts the suspend operation. The pipeline will be prerolled again if it's state was set to GST_STATE_NULL in suspend.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (Number) –
No description available

#### do_unsuspend

    def do_unsuspend (media):
        #python implementation of the 'unsuspend' virtual method

the default implementation reverts the suspend operation. The pipeline will be prerolled again if it's state was set to GST_STATE_NULL in suspend.

Parameters:

`media` (GstRtspServer.RTSPMedia) –
No description available
Returns (bool) –
No description available

## Function Macros

### GST_RTSP_MEDIA_CAST

    #define GST_RTSP_MEDIA_CAST(obj)         ((GstRTSPMedia*)(obj))

### GST_RTSP_MEDIA_CLASS_CAST

    #define GST_RTSP_MEDIA_CLASS_CAST(klass) ((GstRTSPMediaClass*)(klass))

## Enumerations

### GstRTSPMediaStatus

The state of the media pipeline.

##### Members

`GST_RTSP_MEDIA_STATUS_UNPREPARED` (0) –

media pipeline not prerolled

`GST_RTSP_MEDIA_STATUS_UNPREPARING` (1) –

media pipeline is busy doing a clean shutdown.

`GST_RTSP_MEDIA_STATUS_PREPARING` (2) –

media pipeline is prerolling

`GST_RTSP_MEDIA_STATUS_PREPARED` (3) –

media pipeline is prerolled

`GST_RTSP_MEDIA_STATUS_SUSPENDED` (4) –

media is suspended

`GST_RTSP_MEDIA_STATUS_ERROR` (5) –

media pipeline is in error

### GstRtspServer.RTSPMediaStatus

The state of the media pipeline.

##### Members

`GstRtspServer.RTSPMediaStatus.UNPREPARED` (0) –

media pipeline not prerolled

`GstRtspServer.RTSPMediaStatus.UNPREPARING` (1) –

media pipeline is busy doing a clean shutdown.

`GstRtspServer.RTSPMediaStatus.PREPARING` (2) –

media pipeline is prerolling

`GstRtspServer.RTSPMediaStatus.PREPARED` (3) –

media pipeline is prerolled

`GstRtspServer.RTSPMediaStatus.SUSPENDED` (4) –

media is suspended

`GstRtspServer.RTSPMediaStatus.ERROR` (5) –

media pipeline is in error

### GstRtspServer.RTSPMediaStatus

The state of the media pipeline.

##### Members

`GstRtspServer.RTSPMediaStatus.UNPREPARED` (0) –

media pipeline not prerolled

`GstRtspServer.RTSPMediaStatus.UNPREPARING` (1) –

media pipeline is busy doing a clean shutdown.

`GstRtspServer.RTSPMediaStatus.PREPARING` (2) –

media pipeline is prerolling

`GstRtspServer.RTSPMediaStatus.PREPARED` (3) –

media pipeline is prerolled

`GstRtspServer.RTSPMediaStatus.SUSPENDED` (4) –

media is suspended

`GstRtspServer.RTSPMediaStatus.ERROR` (5) –

media pipeline is in error

### GstRTSPPublishClockMode

Whether the clock and possibly RTP/clock offset should be published according to RFC7273.

##### Members

`GST_RTSP_PUBLISH_CLOCK_MODE_NONE` (0) –

Publish nothing

`GST_RTSP_PUBLISH_CLOCK_MODE_CLOCK` (1) –

Publish the clock but not the offset

`GST_RTSP_PUBLISH_CLOCK_MODE_CLOCK_AND_OFFSET` (2) –

Publish the clock and offset

### GstRtspServer.RTSPPublishClockMode

Whether the clock and possibly RTP/clock offset should be published according to RFC7273.

##### Members

`GstRtspServer.RTSPPublishClockMode.NONE` (0) –

Publish nothing

`GstRtspServer.RTSPPublishClockMode.CLOCK` (1) –

Publish the clock but not the offset

`GstRtspServer.RTSPPublishClockMode.CLOCK_AND_OFFSET` (2) –

Publish the clock and offset

### GstRtspServer.RTSPPublishClockMode

Whether the clock and possibly RTP/clock offset should be published according to RFC7273.

##### Members

`GstRtspServer.RTSPPublishClockMode.NONE` (0) –

Publish nothing

`GstRtspServer.RTSPPublishClockMode.CLOCK` (1) –

Publish the clock but not the offset

`GstRtspServer.RTSPPublishClockMode.CLOCK_AND_OFFSET` (2) –

Publish the clock and offset

### GstRTSPSuspendMode

The suspend mode of the media pipeline. A media pipeline is suspended right after creating the SDP and when the client performs a PAUSED request.

##### Members

`GST_RTSP_SUSPEND_MODE_NONE` (0) –

Media is not suspended

`GST_RTSP_SUSPEND_MODE_PAUSE` (1) –

Media is PAUSED in suspend

`GST_RTSP_SUSPEND_MODE_RESET` (2) –

The media is set to NULL when suspended

### GstRtspServer.RTSPSuspendMode

The suspend mode of the media pipeline. A media pipeline is suspended right after creating the SDP and when the client performs a PAUSED request.

##### Members

`GstRtspServer.RTSPSuspendMode.NONE` (0) –

Media is not suspended

`GstRtspServer.RTSPSuspendMode.PAUSE` (1) –

Media is PAUSED in suspend

`GstRtspServer.RTSPSuspendMode.RESET` (2) –

The media is set to NULL when suspended

### GstRtspServer.RTSPSuspendMode

The suspend mode of the media pipeline. A media pipeline is suspended right after creating the SDP and when the client performs a PAUSED request.

##### Members

`GstRtspServer.RTSPSuspendMode.NONE` (0) –

Media is not suspended

`GstRtspServer.RTSPSuspendMode.PAUSE` (1) –

Media is PAUSED in suspend

`GstRtspServer.RTSPSuspendMode.RESET` (2) –

The media is set to NULL when suspended

### GstRTSPTransportMode

The supported modes of the media.

##### Members

`GST_RTSP_TRANSPORT_MODE_PLAY` (1) –

Transport supports PLAY mode

`GST_RTSP_TRANSPORT_MODE_RECORD` (2) –

Transport supports RECORD mode

### GstRtspServer.RTSPTransportMode

The supported modes of the media.

##### Members

`GstRtspServer.RTSPTransportMode.PLAY` (1) –

Transport supports PLAY mode

`GstRtspServer.RTSPTransportMode.RECORD` (2) –

Transport supports RECORD mode

### GstRtspServer.RTSPTransportMode

The supported modes of the media.

##### Members

`GstRtspServer.RTSPTransportMode.PLAY` (1) –

Transport supports PLAY mode

`GstRtspServer.RTSPTransportMode.RECORD` (2) –

Transport supports RECORD mode

The results of the search are